javax.media.opengl

## Interface GL2GL3

- All Superinterfaces:
    GL, GL2ES2, GL2ES3, GLBase
  All Known Subinterfaces:
    GL2, GL3, GL3bc, GL4, GL4bc
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc

      public interface GL2GL3
      extends GL2ES3

  Interface containing the common subset of core GL3 (OpenGL 3.1+) and GL2, also known as the OpenGL 3.0 forward compatible, non deprecated subset.
  This interface reflects only the programmable shader functionality of desktop OpenGL

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_BACK_LEFT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_BACK_RIGHT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_BGR` Part of `GL_VERSION_1_2`
    `static int` | `GL_BGR_INTEGER` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_BGRA_INTEGER` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_BLUE_INTEGER` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_BUFFER_GPU_ADDRESS_NV` Part of `GL_NV_shader_buffer_load`
    `static int` | `GL_CLAMP_READ_COLOR` Part of `GL_VERSION_3_0`; `GL_ARB_color_buffer_float`
    `static int` | `GL_CLAMP_TO_BORDER` Part of `GL_VERSION_1_3`
    `static int` | `GL_CLIP_DISTANCE0` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE1` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE2` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE3` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE4` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE5` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE6` Part of `GL_VERSION_3_0`
    `static int` | `GL_CLIP_DISTANCE7` Part of `GL_VERSION_3_0`
    `static int` | `GL_COLOR_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_COLOR_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_COMPRESSED_RED` Part of `GL_VERSION_3_0`
    `static int` | `GL_COMPRESSED_RED_RGTC1` Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
    `static int` | `GL_COMPRESSED_RG` Part of `GL_VERSION_3_0`
    `static int` | `GL_COMPRESSED_RG_RGTC2` Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
    `static int` | `GL_COMPRESSED_RGB` Part of `GL_VERSION_1_3`
    `static int` | `GL_COMPRESSED_RGBA` Part of `GL_VERSION_1_3`
    `static int` | `GL_COMPRESSED_SIGNED_RED_RGTC1` Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
    `static int` | `GL_COMPRESSED_SIGNED_RG_RGTC2` Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
    `static int` | `GL_COMPRESSED_SRGB` Part of `GL_VERSION_2_1`
    `static int` | `GL_COMPRESSED_SRGB_ALPHA` Part of `GL_VERSION_2_1`
    `static int` | `GL_COMPUTE_SHADER_BIT` Part of `GL_ARB_compute_shader`
    `static int` | `GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT` Part of `GL_VERSION_3_0`
    `static int` | `GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT` Part of `GL_ARB_robustness`
    `static int` | `GL_CONTEXT_FLAGS` Part of `GL_VERSION_3_0`
    `static int` | `GL_CONTINUOUS_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_DEBUG_CATEGORY_API_ERROR_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_APPLICATION_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_DEPRECATION_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_OTHER_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_PERFORMANCE_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_LOGGED_MESSAGES_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_SEVERITY_HIGH_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_SEVERITY_LOW_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DEBUG_SEVERITY_MEDIUM_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_DECODE_EXT` Part of `GL_EXT_texture_sRGB_decode`
    `static int` | `GL_DEPTH_CLAMP_FAR_AMD` Part of `GL_AMD_depth_clamp_separate`
    `static int` | `GL_DEPTH_CLAMP_NEAR_AMD` Part of `GL_AMD_depth_clamp_separate`
    `static int` | `GL_DISCRETE_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_DOUBLE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_DOUBLEBUFFER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_DRAW_BUFFER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_DRAW_INDIRECT_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_DRAW_INDIRECT_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_DRAW_INDIRECT_UNIFIED_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_EDGE_FLAG_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_EDGE_FLAG_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_ELEMENT_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_ELEMENT_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_ELEMENT_ARRAY_UNIFIED_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD` Part of `GL_AMD_pinned_memory`
    `static int` | `GL_FACTOR_MAX_AMD` Part of `GL_AMD_blend_minmax_factor`
    `static int` | `GL_FACTOR_MIN_AMD` Part of `GL_AMD_blend_minmax_factor`
    `static int` | `GL_FILL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_FIXED_ONLY` Part of `GL_VERSION_3_0`; `GL_ARB_color_buffer_float`
    `static int` | `GL_FOG_COORD_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_FOG_COORD_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
    `static int` | `GL_FRAMEBUFFER_SRGB` Part of `GL_ARB_framebuffer_sRGB`, `GL_VERSION_3_0`
    `static int` | `GL_FRONT_LEFT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_FRONT_RIGHT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_GEOMETRY_INPUT_TYPE_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_GEOMETRY_OUTPUT_TYPE_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_GEOMETRY_SHADER_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_GEOMETRY_VERTICES_OUT_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_GPU_ADDRESS_NV` Part of `GL_NV_shader_buffer_load`
    `static int` | `GL_GREEN_INTEGER` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `static int` | `GL_INDEX_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_INDEX_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_INT_SAMPLER_1D` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_1D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_2D_RECT` Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_BUFFER` Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
    `static int` | `GL_INT_SAMPLER_BUFFER_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_LEFT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_LINE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_LINE_STRIP_ADJACENCY_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_LINE_WIDTH_GRANULARITY` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_LINE_WIDTH_RANGE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_LINES_ADJACENCY_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_LOWER_LEFT` Part of `GL_VERSION_2_0`
    `static int` | `GL_MAX_CLIP_DISTANCES` Part of `GL_VERSION_3_0`
    `static int` | `GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS` Part of `GL_ARB_uniform_buffer_object`
    `static int` | `GL_MAX_DEBUG_LOGGED_MESSAGES_AMD` Part of `GL_AMD_debug_output`
    `static int` | `GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_MAX_GEOMETRY_UNIFORM_BLOCKS` Part of `GL_ARB_uniform_buffer_object`
    `static int` | `GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS` Part of `GL_ARB_texture_gather`
    `static int` | `GL_MAX_RECTANGLE_TEXTURE_SIZE` Part of `GL_VERSION_3_1`
    `static int` | `GL_MAX_SHADER_BUFFER_ADDRESS_NV` Part of `GL_NV_shader_buffer_load`
    `static int` | `GL_MAX_TEXTURE_BUFFER_SIZE` Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
    `static int` | `GL_MAX_VARYING_FLOATS` Part of `GL_VERSION_2_0`
    `static int` | `GL_MAX_VERTEX_VARYING_COMPONENTS_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_NAMED_STRING_LENGTH_ARB` Part of `GL_ARB_shading_language_include`
    `static int` | `GL_NAMED_STRING_TYPE_ARB` Part of `GL_ARB_shading_language_include`
    `static int` | `GL_NORMAL_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_NORMAL_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_PACK_IMAGE_HEIGHT` Part of `GL_VERSION_1_2`
    `static int` | `GL_PACK_LSB_FIRST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_PACK_SKIP_IMAGES` Part of `GL_VERSION_1_2`
    `static int` | `GL_PACK_SWAP_BYTES` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POINT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POINT_SIZE_GRANULARITY` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POINT_SIZE_RANGE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POINT_SPRITE_COORD_ORIGIN` Part of `GL_VERSION_2_0`
    `static int` | `GL_POLYGON_MODE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POLYGON_OFFSET_LINE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POLYGON_OFFSET_POINT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POLYGON_SMOOTH` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_POLYGON_SMOOTH_HINT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_PRIMITIVE_RESTART` Part of `GL_VERSION_3_1`
    `static int` | `GL_PRIMITIVE_RESTART_INDEX` Part of `GL_VERSION_3_1`
    `static int` | `GL_PRIMITIVES_GENERATED` Part of `GL_VERSION_3_0`
    `static int` | `GL_PROGRAM_POINT_SIZE_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_PROXY_TEXTURE_1D` Part of `GL_VERSION_1_1`
    `static int` | `GL_PROXY_TEXTURE_1D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_PROXY_TEXTURE_2D` Part of `GL_VERSION_1_1`
    `static int` | `GL_PROXY_TEXTURE_2D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_PROXY_TEXTURE_3D` Part of `GL_VERSION_1_2`
    `static int` | `GL_PROXY_TEXTURE_CUBE_MAP` Part of `GL_VERSION_1_3`
    `static int` | `GL_PROXY_TEXTURE_RECTANGLE` Part of `GL_VERSION_3_1`
    `static int` | `GL_QUADS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_QUERY_BY_REGION_NO_WAIT` Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
    `static int` | `GL_QUERY_BY_REGION_WAIT` Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
    `static int` | `GL_QUERY_COUNTER_BITS` Part of `GL_VERSION_1_5`
    `static int` | `GL_QUERY_NO_WAIT` Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
    `static int` | `GL_QUERY_WAIT` Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
    `static int` | `GL_R16` Part of `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_R16_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_R3_G3_B2` Part of `GL_VERSION_1_1`
    `static int` | `GL_READ_ONLY` Part of `GL_VERSION_1_5`
    `static int` | `GL_READ_WRITE` Part of `GL_VERSION_1_5`
    `static int` | `GL_RED_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_REPLACE_VALUE_AMD` Part of `GL_AMD_stencil_operation_extended`
    `static int` | `GL_RG_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_RG16` Part of `GL_VERSION_3_0`, `GL_ARB_texture_rg`
    `static int` | `GL_RG16_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_RGB_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_RGB12` Part of `GL_VERSION_1_1`
    `static int` | `GL_RGB16` Part of `GL_VERSION_1_1`
    `static int` | `GL_RGB16_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_RGB4` Part of `GL_VERSION_1_1`
    `static int` | `GL_RGB5` Part of `GL_VERSION_1_1`
    `static int` | `GL_RGBA_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_RGBA12` Part of `GL_VERSION_1_1`
    `static int` | `GL_RGBA16` Part of `GL_VERSION_1_1`
    `static int` | `GL_RGBA16_SNORM` Part of `GL_VERSION_3_1`
    `static int` | `GL_RGBA2` Part of `GL_VERSION_1_1`
    `static int` | `GL_RIGHT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_SAMPLER_1D` Part of `GL_VERSION_2_0`
    `static int` | `GL_SAMPLER_1D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_SAMPLER_1D_ARRAY_SHADOW` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_SAMPLER_1D_SHADOW` Part of `GL_VERSION_2_0`
    `static int` | `GL_SAMPLER_2D_RECT` Part of `GL_VERSION_3_1`
    `static int` | `GL_SAMPLER_2D_RECT_SHADOW` Part of `GL_VERSION_3_1`
    `static int` | `GL_SAMPLER_BUFFER` Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
    `static int` | `GL_SAMPLER_BUFFER_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_SAMPLES_PASSED` Part of `GL_VERSION_1_5`
    `static int` | `GL_SCALED_RESOLVE_FASTEST_EXT` Part of `GL_EXT_framebuffer_multisample_blit_scaled`
    `static int` | `GL_SCALED_RESOLVE_NICEST_EXT` Part of `GL_EXT_framebuffer_multisample_blit_scaled`
    `static int` | `GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_SECONDARY_COLOR_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_SET_AMD` Part of `GL_AMD_stencil_operation_extended`
    `static int` | `GL_SHADER_INCLUDE_ARB` Part of `GL_ARB_shading_language_include`
    `static int` | `GL_SKIP_DECODE_EXT` Part of `GL_EXT_texture_sRGB_decode`
    `static int` | `GL_SMOOTH_LINE_WIDTH_GRANULARITY` Part of `GL_VERSION_1_2`
    `static int` | `GL_SMOOTH_POINT_SIZE_GRANULARITY` Part of `GL_VERSION_1_2`
    `static int` | `GL_SRC1_ALPHA` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`
    `static int` | `GL_SRGB_DECODE_ARB` Part of `GL_ARB_internalformat_query2`
    `static int` | `GL_STENCIL_BACK_OP_VALUE_AMD` Part of `GL_AMD_stencil_operation_extended`
    `static int` | `GL_STENCIL_INDEX16` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
    `static int` | `GL_STENCIL_OP_VALUE_AMD` Part of `GL_AMD_stencil_operation_extended`
    `static int` | `GL_STEREO` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_SUBSAMPLE_DISTANCE_AMD` Part of `GL_AMD_sample_positions`
    `static int` | `GL_SYNC_CL_EVENT_ARB` Part of `GL_ARB_cl_event`
    `static int` | `GL_SYNC_CL_EVENT_COMPLETE_ARB` Part of `GL_ARB_cl_event`
    `static int` | `GL_SYNC_X11_FENCE_EXT` Part of `GL_EXT_x11_sync_object`
    `static int` | `GL_TESSELLATION_FACTOR_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_TESSELLATION_MODE_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_TEXTURE_1D` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_1D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_TEXTURE_ALPHA_SIZE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_ALPHA_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
    `static int` | `GL_TEXTURE_BINDING_1D` Part of `GL_VERSION_1_1`
    `static int` | `GL_TEXTURE_BINDING_1D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_TEXTURE_BINDING_BUFFER` Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
    `static int` | `GL_TEXTURE_BINDING_RECTANGLE` Part of `GL_VERSION_3_1`
    `static int` | `GL_TEXTURE_BLUE_SIZE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_BLUE_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
    `static int` | `GL_TEXTURE_BORDER_COLOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_BUFFER` Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
    `static int` | `GL_TEXTURE_BUFFER_DATA_STORE_BINDING` Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
    `static int` | `GL_TEXTURE_COLOR_SAMPLES_NV` Part of `GL_NV_texture_multisample`
    `static int` | `GL_TEXTURE_COMPRESSED` Part of `GL_VERSION_1_3`
    `static int` | `GL_TEXTURE_COMPRESSED_IMAGE_SIZE` Part of `GL_VERSION_1_3`
    `static int` | `GL_TEXTURE_COMPRESSION_HINT` Part of `GL_VERSION_1_3`
    `static int` | `GL_TEXTURE_COORD_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_TEXTURE_COORD_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_TEXTURE_COVERAGE_SAMPLES_NV` Part of `GL_NV_texture_multisample`
    `static int` | `GL_TEXTURE_DEPTH` Part of `GL_VERSION_1_2`
    `static int` | `GL_TEXTURE_DEPTH_SIZE` Part of `GL_VERSION_1_4`
    `static int` | `GL_TEXTURE_DEPTH_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
    `static int` | `GL_TEXTURE_GREEN_SIZE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_GREEN_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
    `static int` | `GL_TEXTURE_HEIGHT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_INTERNAL_FORMAT` Part of `GL_VERSION_1_1`
    `static int` | `GL_TEXTURE_LOD_BIAS` Part of `GL_VERSION_1_4`
    `static int` | `GL_TEXTURE_RECTANGLE` Part of `GL_VERSION_3_1`
    `static int` | `GL_TEXTURE_RED_SIZE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TEXTURE_RED_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
    `static int` | `GL_TEXTURE_SHARED_SIZE` Part of `GL_VERSION_3_0`; `GL_EXT_texture_shared_exponent`
    `static int` | `GL_TEXTURE_SRGB_DECODE_EXT` Part of `GL_EXT_texture_sRGB_decode`
    `static int` | `GL_TEXTURE_STENCIL_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`
    `static int` | `GL_TEXTURE_WIDTH` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_TRIANGLE_STRIP_ADJACENCY_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_TRIANGLES_ADJACENCY_ARB` Part of `GL_ARB_geometry_shader4`
    `static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER` Part of `GL_ARB_uniform_buffer_object`
    `static int` | `GL_UNPACK_LSB_FIRST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_UNPACK_SWAP_BYTES` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
    `static int` | `GL_UNSIGNED_BYTE_2_3_3_REV` Part of `GL_VERSION_1_2`
    `static int` | `GL_UNSIGNED_BYTE_3_3_2` Part of `GL_VERSION_1_2`
    `static int` | `GL_UNSIGNED_INT_8_8_8_8` Part of `GL_VERSION_1_2`
    `static int` | `GL_UNSIGNED_INT_8_8_8_8_REV` Part of `GL_VERSION_1_2`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_1D` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_1D_ARRAY` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_2D_RECT` Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_BUFFER` Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `static int` | `GL_UNSIGNED_SHORT_1_5_5_5_REV` Part of `GL_VERSION_1_2`
    `static int` | `GL_UNSIGNED_SHORT_4_4_4_4_REV` Part of `GL_VERSION_1_2`
    `static int` | `GL_UNSIGNED_SHORT_5_6_5_REV` Part of `GL_VERSION_1_2`
    `static int` | `GL_UPPER_LEFT` Part of `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_VERTEX_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV` Part of `GL_NV_vertex_buffer_unified_memory`
    `static int` | `GL_VERTEX_PROGRAM_POINT_SIZE` Part of `GL_VERSION_2_0`

    - ### Fields inherited from interface javax.media.opengl.GL2ES3

      `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH, GL_ACTIVE_UNIFORM_BLOCKS, GL_ALL_BARRIER_BITS, GL_BLUE, GL_BUFFER_ACCESS_FLAGS, GL_BUFFER_MAP_LENGTH, GL_BUFFER_MAP_OFFSET, GL_COLOR, GL_COMPRESSED_RGBA_ASTC_10x10_KHR, GL_COMPRESSED_RGBA_ASTC_10x5_KHR, GL_COMPRESSED_RGBA_ASTC_10x6_KHR, GL_COMPRESSED_RGBA_ASTC_10x8_KHR, GL_COMPRESSED_RGBA_ASTC_12x10_KHR, GL_COMPRESSED_RGBA_ASTC_12x12_KHR, GL_COMPRESSED_RGBA_ASTC_4x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x5_KHR, GL_COMPRESSED_RGBA_ASTC_8x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR, GL_COPY_READ_BUFFER, GL_COPY_READ_BUFFER_BINDING, GL_COPY_WRITE_BUFFER, GL_COPY_WRITE_BUFFER_BINDING, GL_DEPTH, GL_DEPTH_COMPONENT32F, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH32F_STENCIL8, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FLOAT_32_UNSIGNED_INT_24_8_REV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_UNDEFINED, GL_GREEN, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_CUBE, GL_INTERLEAVED_ATTRIBS, GL_INVALID_INDEX, GL_MAJOR_VERSION, GL_MAX, GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_COMBINED_UNIFORM_BLOCKS, GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_BLOCKS, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_SAMPLES, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_UNIFORM_BLOCK_SIZE, GL_MAX_UNIFORM_BUFFER_BINDINGS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VERTEX_UNIFORM_BLOCKS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_R16I, GL_R16UI, GL_R32I, GL_R32UI, GL_R8_SNORM, GL_R8I, GL_R8UI, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RG_INTEGER, GL_RG16I, GL_RG16UI, GL_RG32I, GL_RG32UI, GL_RG8_SNORM, GL_RG8I, GL_RG8UI, GL_RGB_INTEGER, GL_RGB16I, GL_RGB16UI, GL_RGB32I, GL_RGB32UI, GL_RGB8_SNORM, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_INTEGER, GL_RGBA16I, GL_RGBA16UI, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8_SNORM, GL_RGBA8I, GL_RGBA8UI, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_CUBE_SHADOW, GL_SEPARATE_ATTRIBS, GL_SIGNED_NORMALIZED, GL_SRGB8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STREAM_COPY, GL_STREAM_READ, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TIMEOUT_IGNORED, GL_TRANSFORM_FEEDBACK_ACTIVE, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PAUSED, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_UNIFORM_ARRAY_STRIDE, GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES, GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS, GL_UNIFORM_BLOCK_BINDING, GL_UNIFORM_BLOCK_DATA_SIZE, GL_UNIFORM_BLOCK_INDEX, GL_UNIFORM_BLOCK_NAME_LENGTH, GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER, GL_UNIFORM_BUFFER, GL_UNIFORM_BUFFER_BINDING, GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT, GL_UNIFORM_BUFFER_SIZE, GL_UNIFORM_BUFFER_START, GL_UNIFORM_IS_ROW_MAJOR, GL_UNIFORM_MATRIX_STRIDE, GL_UNIFORM_NAME_LENGTH, GL_UNIFORM_OFFSET, GL_UNIFORM_SIZE, GL_UNIFORM_TYPE, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_SKIP_IMAGES, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CONTEXT_ROBUST_ACCESS, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glBeginConditionalRender(int id, int mode)` Entry point to C language function: `void glBeginConditionalRender(GLuint id, GLenum mode)` Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
    `void` | `glBindFragDataLocation(int program, int color, String name)` Entry point to C language function: `void glBindFragDataLocation(GLuint program, GLuint color, const GLchar * name)` Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
    `void` | `glBufferAddressRangeNV(int pname, int index, long address, long length)` Entry point to C language function: `void glBufferAddressRangeNV(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glClampColor(int target, int clamp)` Entry point to C language function: `void glClampColor(GLenum target, GLenum clamp)` Part of `GL_VERSION_3_0`; `GL_ARB_color_buffer_float`
    `void` | `glClearNamedBufferDataEXT(int buffer, int internalformat, int format, int type, Buffer data)` Entry point to C language function: `void glClearNamedBufferDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void * data)` Part of `GL_ARB_clear_buffer_object`
    `void` | `glClearNamedBufferSubDataEXT(int buffer, int internalformat, int format, int type, long offset, long size, Buffer data)` Entry point to C language function: `void glClearNamedBufferSubDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, GLsizeiptr offset, GLsizeiptr size, const void * data)` Part of `GL_ARB_clear_buffer_object`
    `void` | `glColorFormatNV(int size, int type, int stride)` Entry point to C language function: `void glColorFormatNV(GLint size, GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glColorMaski(int index, boolean r, boolean g, boolean b, boolean a)` Entry point to C language function: `void glColorMaski(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)` Part of `GL_VERSION_3_0`
    `void` | `glCompileShaderIncludeARB(int shader, int count, String[] path, int[] length, int length_offset)` Entry point to C language function: `void glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar * * path, const GLint * length)` Part of `GL_ARB_shading_language_include`
    `void` | `glCompileShaderIncludeARB(int shader, int count, String[] path, IntBuffer length)` Entry point to C language function: `void glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar * * path, const GLint * length)` Part of `GL_ARB_shading_language_include`
    `void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_1_3`
    `void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_1_3`
    `void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_1_3`
    `void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_1_3`
    `void` | `glCopyTexImage1D(int target, int level, int internalformat, int x, int y, int width, int border)` Entry point to C language function: `void glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)` Part of `GL_VERSION_1_1`
    `void` | `glCopyTexSubImage1D(int target, int level, int xoffset, int x, int y, int width)` Entry point to C language function: `void glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)` Part of `GL_VERSION_1_1`
    `long` | `glCreateSyncFromCLeventARB(long context, long event, int flags)` Entry point to C language function: `GLsync glCreateSyncFromCLeventARB(cl_context context, cl_event event, GLbitfield flags)` Part of `GL_ARB_cl_event`
    `void` | `glDebugMessageEnableAMD(int category, int severity, int count, int[] ids, int ids_offset, boolean enabled)` Entry point to C language function: `void glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)` Part of `GL_AMD_debug_output`
    `void` | `glDebugMessageEnableAMD(int category, int severity, int count, IntBuffer ids, boolean enabled)` Entry point to C language function: `void glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)` Part of `GL_AMD_debug_output`
    `void` | `glDebugMessageInsertAMD(int category, int severity, int id, int length, String buf)` Entry point to C language function: `void glDebugMessageInsertAMD(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar * buf)` Part of `GL_AMD_debug_output`
    `void` | `glDeleteNamedStringARB(int namelen, String name)` Entry point to C language function: `void glDeleteNamedStringARB(GLint namelen, const GLchar * name)` Part of `GL_ARB_shading_language_include`
    `void` | `glDisableClientState(int cap)` Entry point to C language function: `void glDisableClientState(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_NV_vertex_buffer_unified_memory`
    `void` | `glDisablei(int target, int index)` Entry point to C language function: `void glDisablei(GLenum target, GLuint index)` Part of `GL_VERSION_3_0`
    `void` | `glDrawBuffer(int mode)` Entry point to C language function: `void glDrawBuffer(GLenum mode)` Part of `GL_VERSION_1_0`
    `void` | `glEdgeFlagFormatNV(int stride)` Entry point to C language function: `void glEdgeFlagFormatNV(GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glEnableClientState(int cap)` Entry point to C language function: `void glEnableClientState(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_NV_vertex_buffer_unified_memory`
    `void` | `glEnablei(int target, int index)` Entry point to C language function: `void glEnablei(GLenum target, GLuint index)` Part of `GL_VERSION_3_0`
    `void` | `glEndConditionalRender()` Entry point to C language function: `void glEndConditionalRender(void)` Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
    `void` | `glFogCoordFormatNV(int type, int stride)` Entry point to C language function: `void glFogCoordFormatNV(GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glFramebufferTexture1D(int target, int attachment, int textarget, int texture, int level)` Entry point to C language function: `void glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
    `void` | `glFramebufferTextureARB(int target, int attachment, int texture, int level)` Entry point to C language function: `void glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level)` Part of `GL_ARB_geometry_shader4`
    `void` | `glFramebufferTextureFaceARB(int target, int attachment, int texture, int level, int face)` Entry point to C language function: `void glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)` Part of `GL_ARB_geometry_shader4`
    `void` | `glFramebufferTextureLayerARB(int target, int attachment, int texture, int level, int layer)` Entry point to C language function: `void glFramebufferTextureLayerARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)` Part of `GL_ARB_geometry_shader4`
    `void` | `glGetActiveUniformName(int program, int uniformIndex, int bufSize, int[] length, int length_offset, byte[] uniformName, int uniformName_offset)` Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)` Part of `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetActiveUniformName(int program, int uniformIndex, int bufSize, IntBuffer length, ByteBuffer uniformName)` Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)` Part of `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
    `void` | `glGetBooleani_v(int target, int index, byte[] data, int data_offset)` Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data)` Part of `GL_VERSION_3_0`
    `void` | `glGetBooleani_v(int target, int index, ByteBuffer data)` Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data)` Part of `GL_VERSION_3_0`
    `void` | `glGetBufferParameterui64vNV(int target, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT * params)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetBufferParameterui64vNV(int target, int pname, LongBuffer params)` Entry point to C language function: `void glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT * params)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetBufferSubData(int target, long offset, long size, Buffer data)` Entry point to C language function: `void glGetBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, GLvoid * data)` Part of `GL_VERSION_1_5`
    `void` | `glGetCompressedTexImage(int target, int level, Buffer img)` Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img)` Part of `GL_VERSION_1_3`
    `void` | `glGetCompressedTexImage(int target, int level, long img_buffer_offset)` Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img)` Part of `GL_VERSION_1_3`
    `int` | `glGetDebugMessageLogAMD(int count, int bufsize, int[] categories, int categories_offset, int[] severities, int severities_offset, int[] ids, int ids_offset, int[] lengths, int lengths_offset, byte[] message, int message_offset)` Entry point to C language function: `GLuint glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)` Part of `GL_AMD_debug_output`
    `int` | `glGetDebugMessageLogAMD(int count, int bufsize, IntBuffer categories, IntBuffer severities, IntBuffer ids, IntBuffer lengths, ByteBuffer message)` Entry point to C language function: `GLuint glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)` Part of `GL_AMD_debug_output`
    `void` | `glGetDoublev(int pname, double[] params, int params_offset)` Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params)` Part of `GL_VERSION_1_0`
    `void` | `glGetDoublev(int pname, DoubleBuffer params)` Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params)` Part of `GL_VERSION_1_0`
    `void` | `glGetIntegerui64i_vNV(int value, int index, long[] result, int result_offset)` Entry point to C language function: `void glGetIntegerui64i_vNV(GLenum value, GLuint index, GLuint64EXT * result)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glGetIntegerui64i_vNV(int value, int index, LongBuffer result)` Entry point to C language function: `void glGetIntegerui64i_vNV(GLenum value, GLuint index, GLuint64EXT * result)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glGetIntegerui64vNV(int value, long[] result, int result_offset)` Entry point to C language function: `void glGetIntegerui64vNV(GLenum value, GLuint64EXT * result)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetIntegerui64vNV(int value, LongBuffer result)` Entry point to C language function: `void glGetIntegerui64vNV(GLenum value, GLuint64EXT * result)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetNamedBufferParameterui64vNV(int buffer, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT * params)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetNamedBufferParameterui64vNV(int buffer, int pname, LongBuffer params)` Entry point to C language function: `void glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT * params)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetNamedFramebufferParameterivEXT(int framebuffer, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_no_attachments`
    `void` | `glGetNamedFramebufferParameterivEXT(int framebuffer, int pname, IntBuffer params)` Entry point to C language function: `void glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_no_attachments`
    `void` | `glGetNamedStringARB(int namelen, String name, int bufSize, int[] stringlen, int stringlen_offset, byte[] string, int string_offset)` Entry point to C language function: `void glGetNamedStringARB(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)` Part of `GL_ARB_shading_language_include`
    `void` | `glGetNamedStringARB(int namelen, String name, int bufSize, IntBuffer stringlen, ByteBuffer string)` Entry point to C language function: `void glGetNamedStringARB(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)` Part of `GL_ARB_shading_language_include`
    `void` | `glGetNamedStringivARB(int namelen, String name, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetNamedStringivARB(GLint namelen, const GLchar * name, GLenum pname, GLint * params)` Part of `GL_ARB_shading_language_include`
    `void` | `glGetNamedStringivARB(int namelen, String name, int pname, IntBuffer params)` Entry point to C language function: `void glGetNamedStringivARB(GLint namelen, const GLchar * name, GLenum pname, GLint * params)` Part of `GL_ARB_shading_language_include`
    `void` | `glGetnCompressedTexImage(int target, int lod, int bufSize, Buffer img)` Entry point to C language function: `void glGetnCompressedTexImage(GLenum target, GLint lod, GLsizei bufSize, GLvoid * img)` Part of `GL_ARB_robustness`
    `void` | `glGetnTexImage(int target, int level, int format, int type, int bufSize, Buffer img)` Entry point to C language function: `void glGetnTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid * img)` Part of `GL_ARB_robustness`
    `void` | `glGetnUniformdv(int program, int location, int bufSize, double[] params, int params_offset)` Entry point to C language function: `void glGetnUniformdv(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)` Part of `GL_ARB_robustness`
    `void` | `glGetnUniformdv(int program, int location, int bufSize, DoubleBuffer params)` Entry point to C language function: `void glGetnUniformdv(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)` Part of `GL_ARB_robustness`
    `void` | `glGetnUniformuiv(int program, int location, int bufSize, int[] params, int params_offset)` Entry point to C language function: `void glGetnUniformuiv(GLuint program, GLint location, GLsizei bufSize, GLuint * params)` Part of `GL_ARB_robustness`
    `void` | `glGetnUniformuiv(int program, int location, int bufSize, IntBuffer params)` Entry point to C language function: `void glGetnUniformuiv(GLuint program, GLint location, GLsizei bufSize, GLuint * params)` Part of `GL_ARB_robustness`
    `void` | `glGetQueryObjectiv(int id, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectiv(GLuint id, GLenum pname, GLint * params)` Part of `GL_VERSION_1_5`
    `void` | `glGetQueryObjectiv(int id, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryObjectiv(GLuint id, GLenum pname, GLint * params)` Part of `GL_VERSION_1_5`
    `void` | `glGetTexImage(int target, int level, int format, int type, Buffer pixels)` Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels)` Part of `GL_VERSION_1_0`
    `void` | `glGetTexImage(int target, int level, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels)` Part of `GL_VERSION_1_0`
    `void` | `glGetTexLevelParameterfv(int target, int level, int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`
    `void` | `glGetTexLevelParameterfv(int target, int level, int pname, FloatBuffer params)` Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`
    `void` | `glGetTexLevelParameteriv(int target, int level, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params)` Part of `GL_VERSION_1_0`
    `void` | `glGetTexLevelParameteriv(int target, int level, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params)` Part of `GL_VERSION_1_0`
    `void` | `glGetTexParameterIiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glGetTexParameterIiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glGetTexParameterIuiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glGetTexParameterIuiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glGetUniformui64vNV(int program, int location, long[] params, int params_offset)` Entry point to C language function: `void glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT * params)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetUniformui64vNV(int program, int location, LongBuffer params)` Entry point to C language function: `void glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT * params)` Part of `GL_NV_shader_buffer_load`
    `void` | `glGetVertexAttribdv(int index, int pname, double[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params)` Part of `GL_VERSION_2_0`
    `void` | `glGetVertexAttribdv(int index, int pname, DoubleBuffer params)` Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params)` Part of `GL_VERSION_2_0`
    `long` | `glImportSyncEXT(int external_sync_type, long external_sync, int flags)` Entry point to C language function: `GLsync glImportSyncEXT(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)` Part of `GL_EXT_x11_sync_object`
    `void` | `glIndexFormatNV(int type, int stride)` Entry point to C language function: `void glIndexFormatNV(GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `boolean` | `glIsBufferResidentNV(int target)` Entry point to C language function: `GLboolean glIsBufferResidentNV(GLenum target)` Part of `GL_NV_shader_buffer_load`
    `boolean` | `glIsEnabledi(int target, int index)` Entry point to C language function: `GLboolean glIsEnabledi(GLenum target, GLuint index)` Part of `GL_VERSION_3_0`
    `boolean` | `glIsNamedBufferResidentNV(int buffer)` Entry point to C language function: `GLboolean glIsNamedBufferResidentNV(GLuint buffer)` Part of `GL_NV_shader_buffer_load`
    `boolean` | `glIsNamedStringARB(int namelen, String name)` Entry point to C language function: `GLboolean glIsNamedStringARB(GLint namelen, const GLchar * name)` Part of `GL_ARB_shading_language_include`
    `void` | `glLogicOp(int opcode)` Entry point to C language function: `void glLogicOp(GLenum opcode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glMakeBufferNonResidentNV(int target)` Entry point to C language function: `void glMakeBufferNonResidentNV(GLenum target)` Part of `GL_NV_shader_buffer_load`
    `void` | `glMakeBufferResidentNV(int target, int access)` Entry point to C language function: `void glMakeBufferResidentNV(GLenum target, GLenum access)` Part of `GL_NV_shader_buffer_load`
    `void` | `glMakeNamedBufferNonResidentNV(int buffer)` Entry point to C language function: `void glMakeNamedBufferNonResidentNV(GLuint buffer)` Part of `GL_NV_shader_buffer_load`
    `void` | `glMakeNamedBufferResidentNV(int buffer, int access)` Entry point to C language function: `void glMakeNamedBufferResidentNV(GLuint buffer, GLenum access)` Part of `GL_NV_shader_buffer_load`
    `void` | `glMultiDrawArrays(int mode, int[] first, int first_offset, int[] count, int count_offset, int drawcount)` Entry point to C language function: `void glMultiDrawArrays(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)` Part of `GL_VERSION_1_4`
    `void` | `glMultiDrawArrays(int mode, IntBuffer first, IntBuffer count, int drawcount)` Entry point to C language function: `void glMultiDrawArrays(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)` Part of `GL_VERSION_1_4`
    `void` | `glMultiDrawArraysIndirectAMD(int mode, Buffer indirect, int primcount, int stride)` Entry point to C language function: `void glMultiDrawArraysIndirectAMD(GLenum mode, const GLvoid * indirect, GLsizei primcount, GLsizei stride)` Part of `GL_AMD_multi_draw_indirect`
    `void` | `glMultiDrawElements(int mode, IntBuffer count, int type, PointerBuffer indices, int drawcount)` Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * const * indices, GLsizei drawcount)` Part of `GL_VERSION_1_4`
    `void` | `glMultiDrawElementsIndirectAMD(int mode, int type, Buffer indirect, int primcount, int stride)` Entry point to C language function: `void glMultiDrawElementsIndirectAMD(GLenum mode, GLenum type, const GLvoid * indirect, GLsizei primcount, GLsizei stride)` Part of `GL_AMD_multi_draw_indirect`
    `void` | `glNamedFramebufferParameteriEXT(int framebuffer, int pname, int param)` Entry point to C language function: `void glNamedFramebufferParameteriEXT(GLuint framebuffer, GLenum pname, GLint param)` Part of `GL_ARB_framebuffer_no_attachments`
    `void` | `glNamedStringARB(int type, int namelen, String name, int stringlen, String string)` Entry point to C language function: `void glNamedStringARB(GLenum type, GLint namelen, const GLchar * name, GLint stringlen, const GLchar * string)` Part of `GL_ARB_shading_language_include`
    `void` | `glNormalFormatNV(int type, int stride)` Entry point to C language function: `void glNormalFormatNV(GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glPixelStoref(int pname, float param)` Entry point to C language function: `void glPixelStoref(GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`
    `void` | `glPointParameterf(int pname, float param)` Entry point to C language function: `void glPointParameterf(GLenum pname, GLfloat param)` Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
    `void` | `glPointParameterfv(int pname, float[] params, int params_offset)` Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
    `void` | `glPointParameterfv(int pname, FloatBuffer params)` Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
    `void` | `glPointParameteri(int pname, int param)` Entry point to C language function: `void glPointParameteri(GLenum pname, GLint param)` Part of `GL_VERSION_1_4`
    `void` | `glPointParameteriv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glPointParameteriv(GLenum pname, const GLint * params)` Part of `GL_VERSION_1_4`
    `void` | `glPointParameteriv(int pname, IntBuffer params)` Entry point to C language function: `void glPointParameteriv(GLenum pname, const GLint * params)` Part of `GL_VERSION_1_4`
    `void` | `glPointSize(float size)` Entry point to C language function: `void glPointSize(GLfloat size)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glPolygonMode(int face, int mode)` Entry point to C language function: `void glPolygonMode(GLenum face, GLenum mode)` Part of `GL_VERSION_1_0`
    `void` | `glPrimitiveRestartIndex(int index)` Entry point to C language function: `void glPrimitiveRestartIndex(GLuint index)` Part of `GL_VERSION_3_1`
    `void` | `glProgramParameteriARB(int program, int pname, int value)` Entry point to C language function: `void glProgramParameteriARB(GLuint program, GLenum pname, GLint value)` Part of `GL_ARB_geometry_shader4`
    `void` | `glProgramUniformui64NV(int program, int location, long value)` Entry point to C language function: `void glProgramUniformui64NV(GLuint program, GLint location, GLuint64EXT value)` Part of `GL_NV_shader_buffer_load`
    `void` | `glProgramUniformui64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_shader_buffer_load`
    `void` | `glProgramUniformui64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_shader_buffer_load`
    `void` | `glSecondaryColorFormatNV(int size, int type, int stride)` Entry point to C language function: `void glSecondaryColorFormatNV(GLint size, GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glSetMultisamplefvAMD(int pname, int index, float[] val, int val_offset)` Entry point to C language function: `void glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat * val)` Part of `GL_AMD_sample_positions`
    `void` | `glSetMultisamplefvAMD(int pname, int index, FloatBuffer val)` Entry point to C language function: `void glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat * val)` Part of `GL_AMD_sample_positions`
    `void` | `glStencilOpValueAMD(int face, int value)` Entry point to C language function: `void glStencilOpValueAMD(GLenum face, GLuint value)` Part of `GL_AMD_stencil_operation_extended`
    `void` | `glTessellationFactorAMD(float factor)` Entry point to C language function: `void glTessellationFactorAMD(GLfloat factor)` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `void` | `glTessellationModeAMD(int mode)` Entry point to C language function: `void glTessellationModeAMD(GLenum mode)` Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
    `void` | `glTexBuffer(int target, int internalformat, int buffer)` Entry point to C language function: `void glTexBuffer(GLenum target, GLenum internalformat, GLuint buffer)` Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
    `void` | `glTexCoordFormatNV(int size, int type, int stride)` Entry point to C language function: `void glTexCoordFormatNV(GLint size, GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glTexImage1D(int target, int level, int internalFormat, int width, int border, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_0`
    `void` | `glTexImage1D(int target, int level, int internalFormat, int width, int border, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_0`
    `void` | `glTexImage2DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)` Entry point to C language function: `void glTexImage2DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)` Part of `GL_NV_texture_multisample`
    `void` | `glTexImage3DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)` Entry point to C language function: `void glTexImage3DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)` Part of `GL_NV_texture_multisample`
    `void` | `glTexParameterIiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glTexParameterIiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glTexParameterIuiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glTexParameterIuiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params)` Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
    `void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_1`
    `void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_1`
    `void` | `glTextureBufferRangeEXT(int texture, int target, int internalformat, int buffer, long offset, long size)` Entry point to C language function: `void glTextureBufferRangeEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)` Part of `GL_ARB_texture_buffer_range`
    `void` | `glTextureImage2DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)` Entry point to C language function: `void glTextureImage2DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)` Part of `GL_NV_texture_multisample`
    `void` | `glTextureImage2DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, boolean fixedSampleLocations)` Entry point to C language function: `void glTextureImage2DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)` Part of `GL_NV_texture_multisample`
    `void` | `glTextureImage3DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)` Entry point to C language function: `void glTextureImage3DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)` Part of `GL_NV_texture_multisample`
    `void` | `glTextureImage3DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)` Entry point to C language function: `void glTextureImage3DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)` Part of `GL_NV_texture_multisample`
    `void` | `glUniformui64NV(int location, long value)` Entry point to C language function: `void glUniformui64NV(GLint location, GLuint64EXT value)` Part of `GL_NV_shader_buffer_load`
    `void` | `glUniformui64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_shader_buffer_load`
    `void` | `glUniformui64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_shader_buffer_load`
    `void` | `glVertexArrayBindVertexBufferEXT(int vaobj, int bindingindex, int buffer, long offset, int stride)` Entry point to C language function: `void glVertexArrayBindVertexBufferEXT(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)` Part of `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexArrayVertexAttribBindingEXT(int vaobj, int attribindex, int bindingindex)` Entry point to C language function: `void glVertexArrayVertexAttribBindingEXT(GLuint vaobj, GLuint attribindex, GLuint bindingindex)` Part of `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexArrayVertexAttribFormatEXT(int vaobj, int attribindex, int size, int type, boolean normalized, int relativeoffset)` Entry point to C language function: `void glVertexArrayVertexAttribFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)` Part of `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexArrayVertexAttribIFormatEXT(int vaobj, int attribindex, int size, int type, int relativeoffset)` Entry point to C language function: `void glVertexArrayVertexAttribIFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)` Part of `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexArrayVertexAttribLFormatEXT(int vaobj, int attribindex, int size, int type, int relativeoffset)` Entry point to C language function: `void glVertexArrayVertexAttribLFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)` Part of `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexArrayVertexBindingDivisorEXT(int vaobj, int bindingindex, int divisor)` Entry point to C language function: `void glVertexArrayVertexBindingDivisorEXT(GLuint vaobj, GLuint bindingindex, GLuint divisor)` Part of `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexAttrib1d(int index, double x)` Entry point to C language function: `void glVertexAttrib1d(GLuint index, GLdouble x)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib1dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib1dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib1dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib1dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib1s(int index, short x)` Entry point to C language function: `void glVertexAttrib1s(GLuint index, GLshort x)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib1sv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib1sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib1sv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib1sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib2d(int index, double x, double y)` Entry point to C language function: `void glVertexAttrib2d(GLuint index, GLdouble x, GLdouble y)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib2dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib2dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib2dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib2dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib2s(int index, short x, short y)` Entry point to C language function: `void glVertexAttrib2s(GLuint index, GLshort x, GLshort y)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib2sv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib2sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib2sv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib2sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib3d(int index, double x, double y, double z)` Entry point to C language function: `void glVertexAttrib3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib3dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib3dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib3dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib3dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib3s(int index, short x, short y, short z)` Entry point to C language function: `void glVertexAttrib3s(GLuint index, GLshort x, GLshort y, GLshort z)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib3sv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib3sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib3sv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib3sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4bv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4bv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4d(int index, double x, double y, double z, double w)` Entry point to C language function: `void glVertexAttrib4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib4dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4iv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4iv(GLuint index, const GLint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4iv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4iv(GLuint index, const GLint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nbv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nbv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Niv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Niv(GLuint index, const GLint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Niv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4Niv(GLuint index, const GLint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nsv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nsv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nsv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4Nsv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nub(int index, byte x, byte y, byte z, byte w)` Entry point to C language function: `void glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nubv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nubv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nuiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nuiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nusv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4Nusv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4s(int index, short x, short y, short z, short w)` Entry point to C language function: `void glVertexAttrib4s(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4sv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4sv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4ubv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4ubv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4uiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4uiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4usv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttrib4usv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v)` Part of `GL_VERSION_2_0`
    `void` | `glVertexAttribFormatNV(int index, int size, int type, boolean normalized, int stride)` Entry point to C language function: `void glVertexAttribFormatNV(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glVertexAttribI1i(int index, int x)` Entry point to C language function: `void glVertexAttribI1i(GLuint index, GLint x)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI1iv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI1iv(GLuint index, const GLint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI1iv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI1iv(GLuint index, const GLint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI1ui(int index, int x)` Entry point to C language function: `void glVertexAttribI1ui(GLuint index, GLuint x)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI1uiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI1uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI1uiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI1uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI2i(int index, int x, int y)` Entry point to C language function: `void glVertexAttribI2i(GLuint index, GLint x, GLint y)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI2iv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI2iv(GLuint index, const GLint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI2iv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI2iv(GLuint index, const GLint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI2ui(int index, int x, int y)` Entry point to C language function: `void glVertexAttribI2ui(GLuint index, GLuint x, GLuint y)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI2uiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI2uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI2uiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI2uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI3i(int index, int x, int y, int z)` Entry point to C language function: `void glVertexAttribI3i(GLuint index, GLint x, GLint y, GLint z)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI3iv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI3iv(GLuint index, const GLint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI3iv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI3iv(GLuint index, const GLint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI3ui(int index, int x, int y, int z)` Entry point to C language function: `void glVertexAttribI3ui(GLuint index, GLuint x, GLuint y, GLuint z)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI3uiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI3uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI3uiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttribI3uiv(GLuint index, const GLuint * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4bv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI4bv(GLuint index, const GLbyte * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4bv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttribI4bv(GLuint index, const GLbyte * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4sv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI4sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4sv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttribI4sv(GLuint index, const GLshort * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4ubv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI4ubv(GLuint index, const GLubyte * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4ubv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttribI4ubv(GLuint index, const GLubyte * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4usv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttribI4usv(GLuint index, const GLushort * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribI4usv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttribI4usv(GLuint index, const GLushort * v)` Part of `GL_VERSION_3_0`
    `void` | `glVertexAttribIFormatNV(int index, int size, int type, int stride)` Entry point to C language function: `void glVertexAttribIFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`
    `void` | `glVertexFormatNV(int size, int type, int stride)` Entry point to C language function: `void glVertexFormatNV(GLint size, GLenum type, GLsizei stride)` Part of `GL_NV_vertex_buffer_unified_memory`

    - ### Methods inherited from interface javax.media.opengl.GL2ES3

      `glBeginTransformFeedback, glBindBufferBase, glBindBufferRange, glBindVertexArray, glBlitFramebuffer, glClearBufferfi, glClearBufferfv, glClearBufferfv, glClearBufferiv, glClearBufferiv, glClearBufferuiv, glClearBufferuiv, glCopyBufferSubData, glDeleteVertexArrays, glDeleteVertexArrays, glDrawArraysInstanced, glDrawBuffers, glDrawBuffers, glDrawElementsInstanced, glDrawRangeElements, glEndTransformFeedback, glFramebufferTextureLayer, glGenVertexArrays, glGenVertexArrays, glGetActiveUniformBlockiv, glGetActiveUniformBlockiv, glGetActiveUniformBlockName, glGetActiveUniformBlockName, glGetActiveUniformsiv, glGetActiveUniformsiv, glGetFragDataLocation, glGetIntegeri_v, glGetIntegeri_v, glGetInternalformativ, glGetInternalformativ, glGetStringi, glGetTransformFeedbackVarying, glGetTransformFeedbackVarying, glGetUniformBlockIndex, glGetUniformIndices, glGetUniformIndices, glGetUniformuiv, glGetUniformuiv, glGetVertexAttribIiv, glGetVertexAttribIiv, glGetVertexAttribIuiv, glGetVertexAttribIuiv, glIsVertexArray, glReadBuffer, glRenderbufferStorageMultisample, glTransformFeedbackVaryings, glUniform1ui, glUniform1uiv, glUniform1uiv, glUniform2ui, glUniform2uiv, glUniform2uiv, glUniform3ui, glUniform3uiv, glUniform3uiv, glUniform4ui, glUniform4uiv, glUniform4uiv, glUniformBlockBinding, glUniformMatrix2x3fv, glUniformMatrix2x3fv, glUniformMatrix2x4fv, glUniformMatrix2x4fv, glUniformMatrix3x2fv, glUniformMatrix3x2fv, glUniformMatrix3x4fv, glUniformMatrix3x4fv, glUniformMatrix4x2fv, glUniformMatrix4x2fv, glUniformMatrix4x3fv, glUniformMatrix4x3fv, glVertexAttribI4i, glVertexAttribI4iv, glVertexAttribI4iv, glVertexAttribI4ui, glVertexAttribI4uiv, glVertexAttribI4uiv, glVertexAttribIPointer, isPBOPackBound, isPBOUnpackBound`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_DOUBLE

          static final int GL_DOUBLE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_QUADS

          static final int GL_QUADS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_GRANULARITY

          static final int GL_POINT_SIZE_GRANULARITY

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE_RANGE

          static final int GL_POINT_SIZE_RANGE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_LINE_WIDTH_GRANULARITY

          static final int GL_LINE_WIDTH_GRANULARITY

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_LINE_WIDTH_RANGE

          static final int GL_LINE_WIDTH_RANGE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POINT

          static final int GL_POINT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_LINE

          static final int GL_LINE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_FILL

          static final int GL_FILL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_MODE

          static final int GL_POLYGON_MODE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_SMOOTH

          static final int GL_POLYGON_SMOOTH

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_OFFSET_POINT

          static final int GL_POLYGON_OFFSET_POINT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_OFFSET_LINE

          static final int GL_POLYGON_OFFSET_LINE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_LEFT

          static final int GL_LEFT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_RIGHT

          static final int GL_RIGHT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_FRONT_LEFT

          static final int GL_FRONT_LEFT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_FRONT_RIGHT

          static final int GL_FRONT_RIGHT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_BACK_LEFT

          static final int GL_BACK_LEFT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_BACK_RIGHT

          static final int GL_BACK_RIGHT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER

          static final int GL_DRAW_BUFFER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_DOUBLEBUFFER

          static final int GL_DOUBLEBUFFER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_STEREO

          static final int GL_STEREO

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_SMOOTH_HINT

          static final int GL_POLYGON_SMOOTH_HINT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_PACK_LSB_FIRST

          static final int GL_PACK_LSB_FIRST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_PACK_SWAP_BYTES

          static final int GL_PACK_SWAP_BYTES

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_LSB_FIRST

          static final int GL_UNPACK_LSB_FIRST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_SWAP_BYTES

          static final int GL_UNPACK_SWAP_BYTES

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_1D

          static final int GL_TEXTURE_1D

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BORDER_COLOR

          static final int GL_TEXTURE_BORDER_COLOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_WIDTH

          static final int GL_TEXTURE_WIDTH

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_HEIGHT

          static final int GL_TEXTURE_HEIGHT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_RED_SIZE

          static final int GL_TEXTURE_RED_SIZE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_GREEN_SIZE

          static final int GL_TEXTURE_GREEN_SIZE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BLUE_SIZE

          static final int GL_TEXTURE_BLUE_SIZE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_ALPHA_SIZE

          static final int GL_TEXTURE_ALPHA_SIZE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_1D

          static final int GL_PROXY_TEXTURE_1D

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_2D

          static final int GL_PROXY_TEXTURE_2D

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_1D

          static final int GL_TEXTURE_BINDING_1D

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_INTERNAL_FORMAT

          static final int GL_TEXTURE_INTERNAL_FORMAT

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_R3_G3_B2

          static final int GL_R3_G3_B2

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGB4

          static final int GL_RGB4

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGB5

          static final int GL_RGB5

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGB12

          static final int GL_RGB12

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGB16

          static final int GL_RGB16

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGBA2

          static final int GL_RGBA2

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGBA12

          static final int GL_RGBA12

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_RGBA16

          static final int GL_RGBA16

      Part of `GL_VERSION_1_1`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_BYTE_3_3_2

          static final int GL_UNSIGNED_BYTE_3_3_2

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_8_8_8_8

          static final int GL_UNSIGNED_INT_8_8_8_8

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_PACK_SKIP_IMAGES

          static final int GL_PACK_SKIP_IMAGES

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_PACK_IMAGE_HEIGHT

          static final int GL_PACK_IMAGE_HEIGHT

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_3D

          static final int GL_PROXY_TEXTURE_3D

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_DEPTH

          static final int GL_TEXTURE_DEPTH

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_BYTE_2_3_3_REV

          static final int GL_UNSIGNED_BYTE_2_3_3_REV

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_5_6_5_REV

          static final int GL_UNSIGNED_SHORT_5_6_5_REV

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_4_4_4_4_REV

          static final int GL_UNSIGNED_SHORT_4_4_4_4_REV

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_1_5_5_5_REV

          static final int GL_UNSIGNED_SHORT_1_5_5_5_REV

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_8_8_8_8_REV

          static final int GL_UNSIGNED_INT_8_8_8_8_REV

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_BGR

          static final int GL_BGR

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_SMOOTH_POINT_SIZE_GRANULARITY

          static final int GL_SMOOTH_POINT_SIZE_GRANULARITY

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_SMOOTH_LINE_WIDTH_GRANULARITY

          static final int GL_SMOOTH_LINE_WIDTH_GRANULARITY

      Part of `GL_VERSION_1_2`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_CUBE_MAP

          static final int GL_PROXY_TEXTURE_CUBE_MAP

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB

          static final int GL_COMPRESSED_RGB

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA

          static final int GL_COMPRESSED_RGBA

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPRESSION_HINT

          static final int GL_TEXTURE_COMPRESSION_HINT

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPRESSED_IMAGE_SIZE

          static final int GL_TEXTURE_COMPRESSED_IMAGE_SIZE

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPRESSED

          static final int GL_TEXTURE_COMPRESSED

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_CLAMP_TO_BORDER

          static final int GL_CLAMP_TO_BORDER

      Part of `GL_VERSION_1_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_LOD_BIAS

          static final int GL_TEXTURE_LOD_BIAS

      Part of `GL_VERSION_1_4`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_DEPTH_SIZE

          static final int GL_TEXTURE_DEPTH_SIZE

      Part of `GL_VERSION_1_4`
      See Also:
        Constant Field Values

    - #### GL_QUERY_COUNTER_BITS

          static final int GL_QUERY_COUNTER_BITS

      Part of `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_READ_ONLY

          static final int GL_READ_ONLY

      Part of `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_READ_WRITE

          static final int GL_READ_WRITE

      Part of `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_SAMPLES_PASSED

          static final int GL_SAMPLES_PASSED

      Part of `GL_VERSION_1_5`
      See Also:
        Constant Field Values

    - #### GL_SRC1_ALPHA

          static final int GL_SRC1_ALPHA

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_PROGRAM_POINT_SIZE

          static final int GL_VERTEX_PROGRAM_POINT_SIZE

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VARYING_FLOATS

          static final int GL_MAX_VARYING_FLOATS

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_1D

          static final int GL_SAMPLER_1D

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_1D_SHADOW

          static final int GL_SAMPLER_1D_SHADOW

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_POINT_SPRITE_COORD_ORIGIN

          static final int GL_POINT_SPRITE_COORD_ORIGIN

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LOWER_LEFT

          static final int GL_LOWER_LEFT

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UPPER_LEFT

          static final int GL_UPPER_LEFT

      Part of `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB

          static final int GL_COMPRESSED_SRGB

      Part of `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB_ALPHA

          static final int GL_COMPRESSED_SRGB_ALPHA

      Part of `GL_VERSION_2_1`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE0

          static final int GL_CLIP_DISTANCE0

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE1

          static final int GL_CLIP_DISTANCE1

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE2

          static final int GL_CLIP_DISTANCE2

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE3

          static final int GL_CLIP_DISTANCE3

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE4

          static final int GL_CLIP_DISTANCE4

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE5

          static final int GL_CLIP_DISTANCE5

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE6

          static final int GL_CLIP_DISTANCE6

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLIP_DISTANCE7

          static final int GL_CLIP_DISTANCE7

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_CLIP_DISTANCES

          static final int GL_MAX_CLIP_DISTANCES

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_FLAGS

          static final int GL_CONTEXT_FLAGS

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RED

          static final int GL_COMPRESSED_RED

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RG

          static final int GL_COMPRESSED_RG

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT

          static final int GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_CLAMP_READ_COLOR

          static final int GL_CLAMP_READ_COLOR

      Part of `GL_VERSION_3_0`; `GL_ARB_color_buffer_float`
      See Also:
        Constant Field Values

    - #### GL_FIXED_ONLY

          static final int GL_FIXED_ONLY

      Part of `GL_VERSION_3_0`; `GL_ARB_color_buffer_float`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_1D_ARRAY

          static final int GL_TEXTURE_1D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_1D_ARRAY

          static final int GL_PROXY_TEXTURE_1D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_2D_ARRAY

          static final int GL_PROXY_TEXTURE_2D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_1D_ARRAY

          static final int GL_TEXTURE_BINDING_1D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SHARED_SIZE

          static final int GL_TEXTURE_SHARED_SIZE

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_shared_exponent`
      See Also:
        Constant Field Values

    - #### GL_PRIMITIVES_GENERATED

          static final int GL_PRIMITIVES_GENERATED

      Part of `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_GREEN_INTEGER

          static final int GL_GREEN_INTEGER

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_BLUE_INTEGER

          static final int GL_BLUE_INTEGER

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_BGR_INTEGER

          static final int GL_BGR_INTEGER

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_BGRA_INTEGER

          static final int GL_BGRA_INTEGER

      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_1D_ARRAY

          static final int GL_SAMPLER_1D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_1D_ARRAY_SHADOW

          static final int GL_SAMPLER_1D_ARRAY_SHADOW

      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_1D

          static final int GL_INT_SAMPLER_1D

      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_1D_ARRAY

          static final int GL_INT_SAMPLER_1D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_1D

          static final int GL_UNSIGNED_INT_SAMPLER_1D

      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_1D_ARRAY

          static final int GL_UNSIGNED_INT_SAMPLER_1D_ARRAY

      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_QUERY_WAIT

          static final int GL_QUERY_WAIT

      Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
      See Also:
        Constant Field Values

    - #### GL_QUERY_NO_WAIT

          static final int GL_QUERY_NO_WAIT

      Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
      See Also:
        Constant Field Values

    - #### GL_QUERY_BY_REGION_WAIT

          static final int GL_QUERY_BY_REGION_WAIT

      Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
      See Also:
        Constant Field Values

    - #### GL_QUERY_BY_REGION_NO_WAIT

          static final int GL_QUERY_BY_REGION_NO_WAIT

      Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_STENCIL_SIZE

          static final int GL_TEXTURE_STENCIL_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_RED_TYPE

          static final int GL_TEXTURE_RED_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_GREEN_TYPE

          static final int GL_TEXTURE_GREEN_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BLUE_TYPE

          static final int GL_TEXTURE_BLUE_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_ALPHA_TYPE

          static final int GL_TEXTURE_ALPHA_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_DEPTH_TYPE

          static final int GL_TEXTURE_DEPTH_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_ARB_texture_float`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER

          static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER

          static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_INDEX16

          static final int GL_STENCIL_INDEX16

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_SRGB

          static final int GL_FRAMEBUFFER_SRGB

      Part of `GL_ARB_framebuffer_sRGB`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RED_RGTC1

          static final int GL_COMPRESSED_RED_RGTC1

      Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SIGNED_RED_RGTC1

          static final int GL_COMPRESSED_SIGNED_RED_RGTC1

      Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RG_RGTC2

          static final int GL_COMPRESSED_RG_RGTC2

      Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SIGNED_RG_RGTC2

          static final int GL_COMPRESSED_SIGNED_RG_RGTC2

      Part of `GL_ARB_texture_compression_rgtc`, `GL_VERSION_3_0`
      See Also:
        Constant Field Values

    - #### GL_R16

          static final int GL_R16

      Part of `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG16

          static final int GL_RG16

      Part of `GL_VERSION_3_0`, `GL_ARB_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_RECT

          static final int GL_SAMPLER_2D_RECT

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_RECT_SHADOW

          static final int GL_SAMPLER_2D_RECT_SHADOW

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_BUFFER

          static final int GL_SAMPLER_BUFFER

      Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_2D_RECT

          static final int GL_INT_SAMPLER_2D_RECT

      Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_BUFFER

          static final int GL_INT_SAMPLER_BUFFER

      Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_2D_RECT

          static final int GL_UNSIGNED_INT_SAMPLER_2D_RECT

      Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_BUFFER

          static final int GL_UNSIGNED_INT_SAMPLER_BUFFER

      Part of `GL_VERSION_3_1`; `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BUFFER

          static final int GL_TEXTURE_BUFFER

      Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_TEXTURE_BUFFER_SIZE

          static final int GL_MAX_TEXTURE_BUFFER_SIZE

      Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_BUFFER

          static final int GL_TEXTURE_BINDING_BUFFER

      Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BUFFER_DATA_STORE_BINDING

          static final int GL_TEXTURE_BUFFER_DATA_STORE_BINDING

      Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_RECTANGLE

          static final int GL_TEXTURE_RECTANGLE

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_RECTANGLE

          static final int GL_TEXTURE_BINDING_RECTANGLE

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_RECTANGLE

          static final int GL_PROXY_TEXTURE_RECTANGLE

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_MAX_RECTANGLE_TEXTURE_SIZE

          static final int GL_MAX_RECTANGLE_TEXTURE_SIZE

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RED_SNORM

          static final int GL_RED_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RG_SNORM

          static final int GL_RG_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RGB_SNORM

          static final int GL_RGB_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RGBA_SNORM

          static final int GL_RGBA_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_R16_SNORM

          static final int GL_R16_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RG16_SNORM

          static final int GL_RG16_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RGB16_SNORM

          static final int GL_RGB16_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_RGBA16_SNORM

          static final int GL_RGBA16_SNORM

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_PRIMITIVE_RESTART

          static final int GL_PRIMITIVE_RESTART

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_PRIMITIVE_RESTART_INDEX

          static final int GL_PRIMITIVE_RESTART_INDEX

      Part of `GL_VERSION_3_1`
      See Also:
        Constant Field Values

    - #### GL_SYNC_CL_EVENT_ARB

          static final int GL_SYNC_CL_EVENT_ARB

      Part of `GL_ARB_cl_event`
      See Also:
        Constant Field Values

    - #### GL_SYNC_CL_EVENT_COMPLETE_ARB

          static final int GL_SYNC_CL_EVENT_COMPLETE_ARB

      Part of `GL_ARB_cl_event`
      See Also:
        Constant Field Values

    - #### GL_COMPUTE_SHADER_BIT

          static final int GL_COMPUTE_SHADER_BIT

      Part of `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_LINES_ADJACENCY_ARB

          static final int GL_LINES_ADJACENCY_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_LINE_STRIP_ADJACENCY_ARB

          static final int GL_LINE_STRIP_ADJACENCY_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLES_ADJACENCY_ARB

          static final int GL_TRIANGLES_ADJACENCY_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLE_STRIP_ADJACENCY_ARB

          static final int GL_TRIANGLE_STRIP_ADJACENCY_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_POINT_SIZE_ARB

          static final int GL_PROGRAM_POINT_SIZE_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB

          static final int GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB

          static final int GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB

          static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB

          static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_SHADER_ARB

          static final int GL_GEOMETRY_SHADER_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_VERTICES_OUT_ARB

          static final int GL_GEOMETRY_VERTICES_OUT_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_INPUT_TYPE_ARB

          static final int GL_GEOMETRY_INPUT_TYPE_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_OUTPUT_TYPE_ARB

          static final int GL_GEOMETRY_OUTPUT_TYPE_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB

          static final int GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_VARYING_COMPONENTS_ARB

          static final int GL_MAX_VERTEX_VARYING_COMPONENTS_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB

          static final int GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB

          static final int GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB

          static final int GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB

      Part of `GL_ARB_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_SRGB_DECODE_ARB

          static final int GL_SRGB_DECODE_ARB

      Part of `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT

          static final int GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT

      Part of `GL_ARB_robustness`
      See Also:
        Constant Field Values

    - #### GL_SHADER_INCLUDE_ARB

          static final int GL_SHADER_INCLUDE_ARB

      Part of `GL_ARB_shading_language_include`
      See Also:
        Constant Field Values

    - #### GL_NAMED_STRING_LENGTH_ARB

          static final int GL_NAMED_STRING_LENGTH_ARB

      Part of `GL_ARB_shading_language_include`
      See Also:
        Constant Field Values

    - #### GL_NAMED_STRING_TYPE_ARB

          static final int GL_NAMED_STRING_TYPE_ARB

      Part of `GL_ARB_shading_language_include`
      See Also:
        Constant Field Values

    - #### GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS

          static final int GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS

      Part of `GL_ARB_texture_gather`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_UNIFORM_BLOCKS

          static final int GL_MAX_GEOMETRY_UNIFORM_BLOCKS

      Part of `GL_ARB_uniform_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS

          static final int GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS

      Part of `GL_ARB_uniform_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER

          static final int GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER

      Part of `GL_ARB_uniform_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_FACTOR_MIN_AMD

          static final int GL_FACTOR_MIN_AMD

      Part of `GL_AMD_blend_minmax_factor`
      See Also:
        Constant Field Values

    - #### GL_FACTOR_MAX_AMD

          static final int GL_FACTOR_MAX_AMD

      Part of `GL_AMD_blend_minmax_factor`
      See Also:
        Constant Field Values

    - #### GL_MAX_DEBUG_LOGGED_MESSAGES_AMD

          static final int GL_MAX_DEBUG_LOGGED_MESSAGES_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_LOGGED_MESSAGES_AMD

          static final int GL_DEBUG_LOGGED_MESSAGES_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_HIGH_AMD

          static final int GL_DEBUG_SEVERITY_HIGH_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_MEDIUM_AMD

          static final int GL_DEBUG_SEVERITY_MEDIUM_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_LOW_AMD

          static final int GL_DEBUG_SEVERITY_LOW_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_API_ERROR_AMD

          static final int GL_DEBUG_CATEGORY_API_ERROR_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD

          static final int GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_DEPRECATION_AMD

          static final int GL_DEBUG_CATEGORY_DEPRECATION_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD

          static final int GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_PERFORMANCE_AMD

          static final int GL_DEBUG_CATEGORY_PERFORMANCE_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD

          static final int GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_APPLICATION_AMD

          static final int GL_DEBUG_CATEGORY_APPLICATION_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CATEGORY_OTHER_AMD

          static final int GL_DEBUG_CATEGORY_OTHER_AMD

      Part of `GL_AMD_debug_output`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_CLAMP_NEAR_AMD

          static final int GL_DEPTH_CLAMP_NEAR_AMD

      Part of `GL_AMD_depth_clamp_separate`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_CLAMP_FAR_AMD

          static final int GL_DEPTH_CLAMP_FAR_AMD

      Part of `GL_AMD_depth_clamp_separate`
      See Also:
        Constant Field Values

    - #### GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD

          static final int GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD

      Part of `GL_AMD_pinned_memory`
      See Also:
        Constant Field Values

    - #### GL_SUBSAMPLE_DISTANCE_AMD

          static final int GL_SUBSAMPLE_DISTANCE_AMD

      Part of `GL_AMD_sample_positions`
      See Also:
        Constant Field Values

    - #### GL_SET_AMD

          static final int GL_SET_AMD

      Part of `GL_AMD_stencil_operation_extended`
      See Also:
        Constant Field Values

    - #### GL_REPLACE_VALUE_AMD

          static final int GL_REPLACE_VALUE_AMD

      Part of `GL_AMD_stencil_operation_extended`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_OP_VALUE_AMD

          static final int GL_STENCIL_OP_VALUE_AMD

      Part of `GL_AMD_stencil_operation_extended`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_OP_VALUE_AMD

          static final int GL_STENCIL_BACK_OP_VALUE_AMD

      Part of `GL_AMD_stencil_operation_extended`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_BUFFER_AMD

          static final int GL_SAMPLER_BUFFER_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_BUFFER_AMD

          static final int GL_INT_SAMPLER_BUFFER_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD

          static final int GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_TESSELLATION_MODE_AMD

          static final int GL_TESSELLATION_MODE_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_TESSELLATION_FACTOR_AMD

          static final int GL_TESSELLATION_FACTOR_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_DISCRETE_AMD

          static final int GL_DISCRETE_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_CONTINUOUS_AMD

          static final int GL_CONTINUOUS_AMD

      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`
      See Also:
        Constant Field Values

    - #### GL_SCALED_RESOLVE_FASTEST_EXT

          static final int GL_SCALED_RESOLVE_FASTEST_EXT

      Part of `GL_EXT_framebuffer_multisample_blit_scaled`
      See Also:
        Constant Field Values

    - #### GL_SCALED_RESOLVE_NICEST_EXT

          static final int GL_SCALED_RESOLVE_NICEST_EXT

      Part of `GL_EXT_framebuffer_multisample_blit_scaled`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SRGB_DECODE_EXT

          static final int GL_TEXTURE_SRGB_DECODE_EXT

      Part of `GL_EXT_texture_sRGB_decode`
      See Also:
        Constant Field Values

    - #### GL_DECODE_EXT

          static final int GL_DECODE_EXT

      Part of `GL_EXT_texture_sRGB_decode`
      See Also:
        Constant Field Values

    - #### GL_SKIP_DECODE_EXT

          static final int GL_SKIP_DECODE_EXT

      Part of `GL_EXT_texture_sRGB_decode`
      See Also:
        Constant Field Values

    - #### GL_SYNC_X11_FENCE_EXT

          static final int GL_SYNC_X11_FENCE_EXT

      Part of `GL_EXT_x11_sync_object`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_GPU_ADDRESS_NV

          static final int GL_BUFFER_GPU_ADDRESS_NV

      Part of `GL_NV_shader_buffer_load`
      See Also:
        Constant Field Values

    - #### GL_GPU_ADDRESS_NV

          static final int GL_GPU_ADDRESS_NV

      Part of `GL_NV_shader_buffer_load`
      See Also:
        Constant Field Values

    - #### GL_MAX_SHADER_BUFFER_ADDRESS_NV

          static final int GL_MAX_SHADER_BUFFER_ADDRESS_NV

      Part of `GL_NV_shader_buffer_load`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COVERAGE_SAMPLES_NV

          static final int GL_TEXTURE_COVERAGE_SAMPLES_NV

      Part of `GL_NV_texture_multisample`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COLOR_SAMPLES_NV

          static final int GL_TEXTURE_COLOR_SAMPLES_NV

      Part of `GL_NV_texture_multisample`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV

          static final int GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_ELEMENT_ARRAY_UNIFIED_NV

          static final int GL_ELEMENT_ARRAY_UNIFIED_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV

          static final int GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ARRAY_ADDRESS_NV

          static final int GL_VERTEX_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_NORMAL_ARRAY_ADDRESS_NV

          static final int GL_NORMAL_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ARRAY_ADDRESS_NV

          static final int GL_COLOR_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_INDEX_ARRAY_ADDRESS_NV

          static final int GL_INDEX_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COORD_ARRAY_ADDRESS_NV

          static final int GL_TEXTURE_COORD_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_EDGE_FLAG_ARRAY_ADDRESS_NV

          static final int GL_EDGE_FLAG_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV

          static final int GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_FOG_COORD_ARRAY_ADDRESS_NV

          static final int GL_FOG_COORD_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_ELEMENT_ARRAY_ADDRESS_NV

          static final int GL_ELEMENT_ARRAY_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV

          static final int GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ARRAY_LENGTH_NV

          static final int GL_VERTEX_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_NORMAL_ARRAY_LENGTH_NV

          static final int GL_NORMAL_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ARRAY_LENGTH_NV

          static final int GL_COLOR_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_INDEX_ARRAY_LENGTH_NV

          static final int GL_INDEX_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COORD_ARRAY_LENGTH_NV

          static final int GL_TEXTURE_COORD_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_EDGE_FLAG_ARRAY_LENGTH_NV

          static final int GL_EDGE_FLAG_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_SECONDARY_COLOR_ARRAY_LENGTH_NV

          static final int GL_SECONDARY_COLOR_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_FOG_COORD_ARRAY_LENGTH_NV

          static final int GL_FOG_COORD_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_ELEMENT_ARRAY_LENGTH_NV

          static final int GL_ELEMENT_ARRAY_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_DRAW_INDIRECT_UNIFIED_NV

          static final int GL_DRAW_INDIRECT_UNIFIED_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_DRAW_INDIRECT_ADDRESS_NV

          static final int GL_DRAW_INDIRECT_ADDRESS_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

    - #### GL_DRAW_INDIRECT_LENGTH_NV

          static final int GL_DRAW_INDIRECT_LENGTH_NV

      Part of `GL_NV_vertex_buffer_unified_memory`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glBeginConditionalRender

          void glBeginConditionalRender(int id,
                                      int mode)

      Entry point to C language function: `void glBeginConditionalRender(GLuint id, GLenum mode)`
      Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`

    - #### glBindFragDataLocation

          void glBindFragDataLocation(int program,
                                    int color,
                                    String name)

      Entry point to C language function: `void glBindFragDataLocation(GLuint program, GLuint color, const GLchar * name)`
      Part of `GL_VERSION_3_0`; `GL_EXT_gpu_shader4`

    - #### glBufferAddressRangeNV

          void glBufferAddressRangeNV(int pname,
                                    int index,
                                    long address,
                                    long length)

      Entry point to C language function: `void glBufferAddressRangeNV(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glClampColor

          void glClampColor(int target,
                          int clamp)

      Entry point to C language function: `void glClampColor(GLenum target, GLenum clamp)`
      Part of `GL_VERSION_3_0`; `GL_ARB_color_buffer_float`

    - #### glClearNamedBufferDataEXT

          void glClearNamedBufferDataEXT(int buffer,
                                       int internalformat,
                                       int format,
                                       int type,
                                       Buffer data)

      Entry point to C language function: `void glClearNamedBufferDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void * data)`
      Part of `GL_ARB_clear_buffer_object`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glClearNamedBufferSubDataEXT

          void glClearNamedBufferSubDataEXT(int buffer,
                                          int internalformat,
                                          int format,
                                          int type,
                                          long offset,
                                          long size,
                                          Buffer data)

      Entry point to C language function: `void glClearNamedBufferSubDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, GLsizeiptr offset, GLsizeiptr size, const void * data)`
      Part of `GL_ARB_clear_buffer_object`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glColorFormatNV

          void glColorFormatNV(int size,
                             int type,
                             int stride)

      Entry point to C language function: `void glColorFormatNV(GLint size, GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glColorMaski

          void glColorMaski(int index,
                          boolean r,
                          boolean g,
                          boolean b,
                          boolean a)

      Entry point to C language function: `void glColorMaski(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)`
      Part of `GL_VERSION_3_0`

    - #### glCompileShaderIncludeARB

          void glCompileShaderIncludeARB(int shader,
                                       int count,
                                       String[] path,
                                       IntBuffer length)

      Entry point to C language function: `void glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar * * path, const GLint * length)`
      Part of `GL_ARB_shading_language_include`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`

    - #### glCompileShaderIncludeARB

          void glCompileShaderIncludeARB(int shader,
                                       int count,
                                       String[] path,
                                       int[] length,
                                       int length_offset)

      Entry point to C language function: `void glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar * * path, const GLint * length)`
      Part of `GL_ARB_shading_language_include`

    - #### glCompressedTexImage1D

          void glCompressedTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int imageSize,
                                    Buffer data)

      Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_1_3`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCompressedTexImage1D

          void glCompressedTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int imageSize,
                                    long data_buffer_offset)

      Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_1_3`

    - #### glCompressedTexSubImage1D

          void glCompressedTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int imageSize,
                                       Buffer data)

      Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_1_3`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCompressedTexSubImage1D

          void glCompressedTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int imageSize,
                                       long data_buffer_offset)

      Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_1_3`

    - #### glCopyTexImage1D

          void glCopyTexImage1D(int target,
                              int level,
                              int internalformat,
                              int x,
                              int y,
                              int width,
                              int border)

      Entry point to C language function: `void glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)`
      Part of `GL_VERSION_1_1`

    - #### glCopyTexSubImage1D

          void glCopyTexSubImage1D(int target,
                                 int level,
                                 int xoffset,
                                 int x,
                                 int y,
                                 int width)

      Entry point to C language function: `void glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)`
      Part of `GL_VERSION_1_1`

    - #### glCreateSyncFromCLeventARB

          long glCreateSyncFromCLeventARB(long context,
                                        long event,
                                        int flags)

      Entry point to C language function: `GLsync glCreateSyncFromCLeventARB(cl_context context, cl_event event, GLbitfield flags)`
      Part of `GL_ARB_cl_event`

    - #### glDebugMessageEnableAMD

          void glDebugMessageEnableAMD(int category,
                                     int severity,
                                     int count,
                                     IntBuffer ids,
                                     boolean enabled)

      Entry point to C language function: `void glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)`
      Part of `GL_AMD_debug_output`
      Parameters:
        `ids` - a direct or array-backed `IntBuffer`

    - #### glDebugMessageEnableAMD

          void glDebugMessageEnableAMD(int category,
                                     int severity,
                                     int count,
                                     int[] ids,
                                     int ids_offset,
                                     boolean enabled)

      Entry point to C language function: `void glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)`
      Part of `GL_AMD_debug_output`

    - #### glDebugMessageInsertAMD

          void glDebugMessageInsertAMD(int category,
                                     int severity,
                                     int id,
                                     int length,
                                     String buf)

      Entry point to C language function: `void glDebugMessageInsertAMD(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar * buf)`
      Part of `GL_AMD_debug_output`

    - #### glDeleteNamedStringARB

          void glDeleteNamedStringARB(int namelen,
                                    String name)

      Entry point to C language function: `void glDeleteNamedStringARB(GLint namelen, const GLchar * name)`
      Part of `GL_ARB_shading_language_include`

    - #### glDisableClientState

          void glDisableClientState(int cap)

      Entry point to C language function: `void glDisableClientState(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_NV_vertex_buffer_unified_memory`

    - #### glDisablei

          void glDisablei(int target,
                        int index)

      Entry point to C language function: `void glDisablei(GLenum target, GLuint index)`
      Part of `GL_VERSION_3_0`

    - #### glDrawBuffer

          void glDrawBuffer(int mode)

      Entry point to C language function: `void glDrawBuffer(GLenum mode)`
      Part of `GL_VERSION_1_0`

    - #### glEdgeFlagFormatNV

          void glEdgeFlagFormatNV(int stride)

      Entry point to C language function: `void glEdgeFlagFormatNV(GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glEnableClientState

          void glEnableClientState(int cap)

      Entry point to C language function: `void glEnableClientState(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_NV_vertex_buffer_unified_memory`

    - #### glEnablei

          void glEnablei(int target,
                       int index)

      Entry point to C language function: `void glEnablei(GLenum target, GLuint index)`
      Part of `GL_VERSION_3_0`

    - #### glEndConditionalRender

          void glEndConditionalRender()

      Entry point to C language function: `void glEndConditionalRender(void)`
      Part of `GL_VERSION_3_0`; `GL_NV_conditional_render`

    - #### glFogCoordFormatNV

          void glFogCoordFormatNV(int type,
                                int stride)

      Entry point to C language function: `void glFogCoordFormatNV(GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glFramebufferTexture1D

          void glFramebufferTexture1D(int target,
                                    int attachment,
                                    int textarget,
                                    int texture,
                                    int level)

      Entry point to C language function: `void glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`

    - #### glFramebufferTextureARB

          void glFramebufferTextureARB(int target,
                                     int attachment,
                                     int texture,
                                     int level)

      Entry point to C language function: `void glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level)`
      Part of `GL_ARB_geometry_shader4`

    - #### glFramebufferTextureFaceARB

          void glFramebufferTextureFaceARB(int target,
                                         int attachment,
                                         int texture,
                                         int level,
                                         int face)

      Entry point to C language function: `void glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)`
      Part of `GL_ARB_geometry_shader4`

    - #### glFramebufferTextureLayerARB

          void glFramebufferTextureLayerARB(int target,
                                          int attachment,
                                          int texture,
                                          int level,
                                          int layer)

      Entry point to C language function: `void glFramebufferTextureLayerARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)`
      Part of `GL_ARB_geometry_shader4`

    - #### glGetActiveUniformName

          void glGetActiveUniformName(int program,
                                    int uniformIndex,
                                    int bufSize,
                                    IntBuffer length,
                                    ByteBuffer uniformName)

      Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)`
      Part of `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `uniformName` - a direct or array-backed `ByteBuffer`

    - #### glGetActiveUniformName

          void glGetActiveUniformName(int program,
                                    int uniformIndex,
                                    int bufSize,
                                    int[] length,
                                    int length_offset,
                                    byte[] uniformName,
                                    int uniformName_offset)

      Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)`
      Part of `GL_ARB_uniform_buffer_object`, `GL_VERSION_3_1`

    - #### glGetBooleani_v

          void glGetBooleani_v(int target,
                             int index,
                             ByteBuffer data)

      Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `data` - a direct or array-backed `ByteBuffer`

    - #### glGetBooleani_v

          void glGetBooleani_v(int target,
                             int index,
                             byte[] data,
                             int data_offset)

      Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data)`
      Part of `GL_VERSION_3_0`

    - #### glGetBufferParameterui64vNV

          void glGetBufferParameterui64vNV(int target,
                                         int pname,
                                         LongBuffer params)

      Entry point to C language function: `void glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT * params)`
      Part of `GL_NV_shader_buffer_load`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetBufferParameterui64vNV

          void glGetBufferParameterui64vNV(int target,
                                         int pname,
                                         long[] params,
                                         int params_offset)

      Entry point to C language function: `void glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT * params)`
      Part of `GL_NV_shader_buffer_load`

    - #### glGetBufferSubData

          void glGetBufferSubData(int target,
                                long offset,
                                long size,
                                Buffer data)

      Entry point to C language function: `void glGetBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, GLvoid * data)`
      Part of `GL_VERSION_1_5`
      Parameters:
        `data` - a direct only `Buffer`

    - #### glGetCompressedTexImage

          void glGetCompressedTexImage(int target,
                                     int level,
                                     Buffer img)

      Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img)`
      Part of `GL_VERSION_1_3`
      Parameters:
        `img` - a direct or array-backed `Buffer`

    - #### glGetCompressedTexImage

          void glGetCompressedTexImage(int target,
                                     int level,
                                     long img_buffer_offset)

      Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img)`
      Part of `GL_VERSION_1_3`

    - #### glGetDebugMessageLogAMD

          int glGetDebugMessageLogAMD(int count,
                                    int bufsize,
                                    IntBuffer categories,
                                    IntBuffer severities,
                                    IntBuffer ids,
                                    IntBuffer lengths,
                                    ByteBuffer message)

      Entry point to C language function: `GLuint glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)`
      Part of `GL_AMD_debug_output`
      Parameters:
        `categories` - a direct or array-backed `IntBuffer`
        `severities` - a direct or array-backed `IntBuffer`
        `ids` - a direct or array-backed `IntBuffer`
        `lengths` - a direct or array-backed `IntBuffer`
        `message` - a direct or array-backed `ByteBuffer`

    - #### glGetDebugMessageLogAMD

          int glGetDebugMessageLogAMD(int count,
                                    int bufsize,
                                    int[] categories,
                                    int categories_offset,
                                    int[] severities,
                                    int severities_offset,
                                    int[] ids,
                                    int ids_offset,
                                    int[] lengths,
                                    int lengths_offset,
                                    byte[] message,
                                    int message_offset)

      Entry point to C language function: `GLuint glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)`
      Part of `GL_AMD_debug_output`

    - #### glGetDoublev

          void glGetDoublev(int pname,
                          DoubleBuffer params)

      Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params)`
      Part of `GL_VERSION_1_0`
      Parameters:
        `params` - a direct or array-backed `DoubleBuffer`

    - #### glGetDoublev

          void glGetDoublev(int pname,
                          double[] params,
                          int params_offset)

      Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params)`
      Part of `GL_VERSION_1_0`

    - #### glGetIntegerui64i_vNV

          void glGetIntegerui64i_vNV(int value,
                                   int index,
                                   LongBuffer result)

      Entry point to C language function: `void glGetIntegerui64i_vNV(GLenum value, GLuint index, GLuint64EXT * result)`
      Part of `GL_NV_vertex_buffer_unified_memory`
      Parameters:
        `result` - a direct or array-backed `LongBuffer`

    - #### glGetIntegerui64i_vNV

          void glGetIntegerui64i_vNV(int value,
                                   int index,
                                   long[] result,
                                   int result_offset)

      Entry point to C language function: `void glGetIntegerui64i_vNV(GLenum value, GLuint index, GLuint64EXT * result)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glGetIntegerui64vNV

          void glGetIntegerui64vNV(int value,
                                 LongBuffer result)

      Entry point to C language function: `void glGetIntegerui64vNV(GLenum value, GLuint64EXT * result)`
      Part of `GL_NV_shader_buffer_load`
      Parameters:
        `result` - a direct or array-backed `LongBuffer`

    - #### glGetIntegerui64vNV

          void glGetIntegerui64vNV(int value,
                                 long[] result,
                                 int result_offset)

      Entry point to C language function: `void glGetIntegerui64vNV(GLenum value, GLuint64EXT * result)`
      Part of `GL_NV_shader_buffer_load`

    - #### glGetNamedBufferParameterui64vNV

          void glGetNamedBufferParameterui64vNV(int buffer,
                                              int pname,
                                              LongBuffer params)

      Entry point to C language function: `void glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT * params)`
      Part of `GL_NV_shader_buffer_load`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetNamedBufferParameterui64vNV

          void glGetNamedBufferParameterui64vNV(int buffer,
                                              int pname,
                                              long[] params,
                                              int params_offset)

      Entry point to C language function: `void glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT * params)`
      Part of `GL_NV_shader_buffer_load`

    - #### glGetNamedFramebufferParameterivEXT

          void glGetNamedFramebufferParameterivEXT(int framebuffer,
                                                 int pname,
                                                 IntBuffer params)

      Entry point to C language function: `void glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_no_attachments`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetNamedFramebufferParameterivEXT

          void glGetNamedFramebufferParameterivEXT(int framebuffer,
                                                 int pname,
                                                 int[] params,
                                                 int params_offset)

      Entry point to C language function: `void glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_no_attachments`

    - #### glGetNamedStringARB

          void glGetNamedStringARB(int namelen,
                                 String name,
                                 int bufSize,
                                 IntBuffer stringlen,
                                 ByteBuffer string)

      Entry point to C language function: `void glGetNamedStringARB(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)`
      Part of `GL_ARB_shading_language_include`
      Parameters:
        `stringlen` - a direct or array-backed `IntBuffer`
        `string` - a direct or array-backed `ByteBuffer`

    - #### glGetNamedStringARB

          void glGetNamedStringARB(int namelen,
                                 String name,
                                 int bufSize,
                                 int[] stringlen,
                                 int stringlen_offset,
                                 byte[] string,
                                 int string_offset)

      Entry point to C language function: `void glGetNamedStringARB(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)`
      Part of `GL_ARB_shading_language_include`

    - #### glGetNamedStringivARB

          void glGetNamedStringivARB(int namelen,
                                   String name,
                                   int pname,
                                   IntBuffer params)

      Entry point to C language function: `void glGetNamedStringivARB(GLint namelen, const GLchar * name, GLenum pname, GLint * params)`
      Part of `GL_ARB_shading_language_include`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetNamedStringivARB

          void glGetNamedStringivARB(int namelen,
                                   String name,
                                   int pname,
                                   int[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetNamedStringivARB(GLint namelen, const GLchar * name, GLenum pname, GLint * params)`
      Part of `GL_ARB_shading_language_include`

    - #### glGetQueryObjectiv

          void glGetQueryObjectiv(int id,
                                int pname,
                                IntBuffer params)

      Entry point to C language function: `void glGetQueryObjectiv(GLuint id, GLenum pname, GLint * params)`
      Part of `GL_VERSION_1_5`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetQueryObjectiv

          void glGetQueryObjectiv(int id,
                                int pname,
                                int[] params,
                                int params_offset)

      Entry point to C language function: `void glGetQueryObjectiv(GLuint id, GLenum pname, GLint * params)`
      Part of `GL_VERSION_1_5`

    - #### glGetTexImage

          void glGetTexImage(int target,
                           int level,
                           int format,
                           int type,
                           Buffer pixels)

      Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels)`
      Part of `GL_VERSION_1_0`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glGetTexImage

          void glGetTexImage(int target,
                           int level,
                           int format,
                           int type,
                           long pixels_buffer_offset)

      Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels)`
      Part of `GL_VERSION_1_0`

    - #### glGetTexLevelParameterfv

          void glGetTexLevelParameterfv(int target,
                                      int level,
                                      int pname,
                                      FloatBuffer params)

      Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetTexLevelParameterfv

          void glGetTexLevelParameterfv(int target,
                                      int level,
                                      int pname,
                                      float[] params,
                                      int params_offset)

      Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`

    - #### glGetTexLevelParameteriv

          void glGetTexLevelParameteriv(int target,
                                      int level,
                                      int pname,
                                      IntBuffer params)

      Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params)`
      Part of `GL_VERSION_1_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetTexLevelParameteriv

          void glGetTexLevelParameteriv(int target,
                                      int level,
                                      int pname,
                                      int[] params,
                                      int params_offset)

      Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params)`
      Part of `GL_VERSION_1_0`

    - #### glGetTexParameterIiv

          void glGetTexParameterIiv(int target,
                                  int pname,
                                  IntBuffer params)

      Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameterIiv

          void glGetTexParameterIiv(int target,
                                  int pname,
                                  int[] params,
                                  int params_offset)

      Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`

    - #### glGetTexParameterIuiv

          void glGetTexParameterIuiv(int target,
                                   int pname,
                                   IntBuffer params)

      Entry point to C language function: `void glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameterIuiv

          void glGetTexParameterIuiv(int target,
                                   int pname,
                                   int[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`

    - #### glGetUniformui64vNV

          void glGetUniformui64vNV(int program,
                                 int location,
                                 LongBuffer params)

      Entry point to C language function: `void glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT * params)`
      Part of `GL_NV_shader_buffer_load`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetUniformui64vNV

          void glGetUniformui64vNV(int program,
                                 int location,
                                 long[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT * params)`
      Part of `GL_NV_shader_buffer_load`

    - #### glGetVertexAttribdv

          void glGetVertexAttribdv(int index,
                                 int pname,
                                 DoubleBuffer params)

      Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `DoubleBuffer`

    - #### glGetVertexAttribdv

          void glGetVertexAttribdv(int index,
                                 int pname,
                                 double[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params)`
      Part of `GL_VERSION_2_0`

    - #### glGetnCompressedTexImage

          void glGetnCompressedTexImage(int target,
                                      int lod,
                                      int bufSize,
                                      Buffer img)

      Entry point to C language function: `void glGetnCompressedTexImage(GLenum target, GLint lod, GLsizei bufSize, GLvoid * img)`
      Part of `GL_ARB_robustness`
      Parameters:
        `img` - a direct or array-backed `Buffer`

    - #### glGetnTexImage

          void glGetnTexImage(int target,
                            int level,
                            int format,
                            int type,
                            int bufSize,
                            Buffer img)

      Entry point to C language function: `void glGetnTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid * img)`
      Part of `GL_ARB_robustness`
      Parameters:
        `img` - a direct or array-backed `Buffer`

    - #### glGetnUniformdv

          void glGetnUniformdv(int program,
                             int location,
                             int bufSize,
                             DoubleBuffer params)

      Entry point to C language function: `void glGetnUniformdv(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)`
      Part of `GL_ARB_robustness`
      Parameters:
        `params` - a direct or array-backed `DoubleBuffer`

    - #### glGetnUniformdv

          void glGetnUniformdv(int program,
                             int location,
                             int bufSize,
                             double[] params,
                             int params_offset)

      Entry point to C language function: `void glGetnUniformdv(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)`
      Part of `GL_ARB_robustness`

    - #### glGetnUniformuiv

          void glGetnUniformuiv(int program,
                              int location,
                              int bufSize,
                              IntBuffer params)

      Entry point to C language function: `void glGetnUniformuiv(GLuint program, GLint location, GLsizei bufSize, GLuint * params)`
      Part of `GL_ARB_robustness`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetnUniformuiv

          void glGetnUniformuiv(int program,
                              int location,
                              int bufSize,
                              int[] params,
                              int params_offset)

      Entry point to C language function: `void glGetnUniformuiv(GLuint program, GLint location, GLsizei bufSize, GLuint * params)`
      Part of `GL_ARB_robustness`

    - #### glImportSyncEXT

          long glImportSyncEXT(int external_sync_type,
                             long external_sync,
                             int flags)

      Entry point to C language function: `GLsync glImportSyncEXT(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)`
      Part of `GL_EXT_x11_sync_object`

    - #### glIndexFormatNV

          void glIndexFormatNV(int type,
                             int stride)

      Entry point to C language function: `void glIndexFormatNV(GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glIsBufferResidentNV

          boolean glIsBufferResidentNV(int target)

      Entry point to C language function: `GLboolean glIsBufferResidentNV(GLenum target)`
      Part of `GL_NV_shader_buffer_load`

    - #### glIsEnabledi

          boolean glIsEnabledi(int target,
                             int index)

      Entry point to C language function: `GLboolean glIsEnabledi(GLenum target, GLuint index)`
      Part of `GL_VERSION_3_0`

    - #### glIsNamedBufferResidentNV

          boolean glIsNamedBufferResidentNV(int buffer)

      Entry point to C language function: `GLboolean glIsNamedBufferResidentNV(GLuint buffer)`
      Part of `GL_NV_shader_buffer_load`

    - #### glIsNamedStringARB

          boolean glIsNamedStringARB(int namelen,
                                   String name)

      Entry point to C language function: `GLboolean glIsNamedStringARB(GLint namelen, const GLchar * name)`
      Part of `GL_ARB_shading_language_include`

    - #### glLogicOp

          void glLogicOp(int opcode)

      Entry point to C language function: `void glLogicOp(GLenum opcode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`

    - #### glMakeBufferNonResidentNV

          void glMakeBufferNonResidentNV(int target)

      Entry point to C language function: `void glMakeBufferNonResidentNV(GLenum target)`
      Part of `GL_NV_shader_buffer_load`

    - #### glMakeBufferResidentNV

          void glMakeBufferResidentNV(int target,
                                    int access)

      Entry point to C language function: `void glMakeBufferResidentNV(GLenum target, GLenum access)`
      Part of `GL_NV_shader_buffer_load`

    - #### glMakeNamedBufferNonResidentNV

          void glMakeNamedBufferNonResidentNV(int buffer)

      Entry point to C language function: `void glMakeNamedBufferNonResidentNV(GLuint buffer)`
      Part of `GL_NV_shader_buffer_load`

    - #### glMakeNamedBufferResidentNV

          void glMakeNamedBufferResidentNV(int buffer,
                                         int access)

      Entry point to C language function: `void glMakeNamedBufferResidentNV(GLuint buffer, GLenum access)`
      Part of `GL_NV_shader_buffer_load`

    - #### glMultiDrawArrays

          void glMultiDrawArrays(int mode,
                               IntBuffer first,
                               IntBuffer count,
                               int drawcount)

      Entry point to C language function: `void glMultiDrawArrays(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)`
      Part of `GL_VERSION_1_4`
      Parameters:
        `first` - a direct or array-backed `IntBuffer`
        `count` - a direct or array-backed `IntBuffer`

    - #### glMultiDrawArrays

          void glMultiDrawArrays(int mode,
                               int[] first,
                               int first_offset,
                               int[] count,
                               int count_offset,
                               int drawcount)

      Entry point to C language function: `void glMultiDrawArrays(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)`
      Part of `GL_VERSION_1_4`

    - #### glMultiDrawArraysIndirectAMD

          void glMultiDrawArraysIndirectAMD(int mode,
                                          Buffer indirect,
                                          int primcount,
                                          int stride)

      Entry point to C language function: `void glMultiDrawArraysIndirectAMD(GLenum mode, const GLvoid * indirect, GLsizei primcount, GLsizei stride)`
      Part of `GL_AMD_multi_draw_indirect`
      Parameters:
        `indirect` - a direct or array-backed `Buffer`

    - #### glMultiDrawElements

          void glMultiDrawElements(int mode,
                                 IntBuffer count,
                                 int type,
                                 PointerBuffer indices,
                                 int drawcount)

      Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * const * indices, GLsizei drawcount)`
      Part of `GL_VERSION_1_4`
      Parameters:
        `count` - a direct only `IntBuffer`
        `indices` - a direct only `PointerBuffer`

    - #### glMultiDrawElementsIndirectAMD

          void glMultiDrawElementsIndirectAMD(int mode,
                                            int type,
                                            Buffer indirect,
                                            int primcount,
                                            int stride)

      Entry point to C language function: `void glMultiDrawElementsIndirectAMD(GLenum mode, GLenum type, const GLvoid * indirect, GLsizei primcount, GLsizei stride)`
      Part of `GL_AMD_multi_draw_indirect`
      Parameters:
        `indirect` - a direct or array-backed `Buffer`

    - #### glNamedFramebufferParameteriEXT

          void glNamedFramebufferParameteriEXT(int framebuffer,
                                             int pname,
                                             int param)

      Entry point to C language function: `void glNamedFramebufferParameteriEXT(GLuint framebuffer, GLenum pname, GLint param)`
      Part of `GL_ARB_framebuffer_no_attachments`

    - #### glNamedStringARB

          void glNamedStringARB(int type,
                              int namelen,
                              String name,
                              int stringlen,
                              String string)

      Entry point to C language function: `void glNamedStringARB(GLenum type, GLint namelen, const GLchar * name, GLint stringlen, const GLchar * string)`
      Part of `GL_ARB_shading_language_include`

    - #### glNormalFormatNV

          void glNormalFormatNV(int type,
                              int stride)

      Entry point to C language function: `void glNormalFormatNV(GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glPixelStoref

          void glPixelStoref(int pname,
                           float param)

      Entry point to C language function: `void glPixelStoref(GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`

    - #### glPointParameterf

          void glPointParameterf(int pname,
                               float param)

      Entry point to C language function: `void glPointParameterf(GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`

    - #### glPointParameterfv

          void glPointParameterfv(int pname,
                                FloatBuffer params)

      Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glPointParameterfv

          void glPointParameterfv(int pname,
                                float[] params,
                                int params_offset)

      Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`

    - #### glPointParameteri

          void glPointParameteri(int pname,
                               int param)

      Entry point to C language function: `void glPointParameteri(GLenum pname, GLint param)`
      Part of `GL_VERSION_1_4`

    - #### glPointParameteriv

          void glPointParameteriv(int pname,
                                IntBuffer params)

      Entry point to C language function: `void glPointParameteriv(GLenum pname, const GLint * params)`
      Part of `GL_VERSION_1_4`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glPointParameteriv

          void glPointParameteriv(int pname,
                                int[] params,
                                int params_offset)

      Entry point to C language function: `void glPointParameteriv(GLenum pname, const GLint * params)`
      Part of `GL_VERSION_1_4`

    - #### glPointSize

          void glPointSize(float size)

      Entry point to C language function: `void glPointSize(GLfloat size)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`

    - #### glPolygonMode

          void glPolygonMode(int face,
                           int mode)

      Entry point to C language function: `void glPolygonMode(GLenum face, GLenum mode)`
      Part of `GL_VERSION_1_0`

    - #### glPrimitiveRestartIndex

          void glPrimitiveRestartIndex(int index)

      Entry point to C language function: `void glPrimitiveRestartIndex(GLuint index)`
      Part of `GL_VERSION_3_1`

    - #### glProgramParameteriARB

          void glProgramParameteriARB(int program,
                                    int pname,
                                    int value)

      Entry point to C language function: `void glProgramParameteriARB(GLuint program, GLenum pname, GLint value)`
      Part of `GL_ARB_geometry_shader4`

    - #### glProgramUniformui64NV

          void glProgramUniformui64NV(int program,
                                    int location,
                                    long value)

      Entry point to C language function: `void glProgramUniformui64NV(GLuint program, GLint location, GLuint64EXT value)`
      Part of `GL_NV_shader_buffer_load`

    - #### glProgramUniformui64vNV

          void glProgramUniformui64vNV(int program,
                                     int location,
                                     int count,
                                     LongBuffer value)

      Entry point to C language function: `void glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_shader_buffer_load`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniformui64vNV

          void glProgramUniformui64vNV(int program,
                                     int location,
                                     int count,
                                     long[] value,
                                     int value_offset)

      Entry point to C language function: `void glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_shader_buffer_load`

    - #### glSecondaryColorFormatNV

          void glSecondaryColorFormatNV(int size,
                                      int type,
                                      int stride)

      Entry point to C language function: `void glSecondaryColorFormatNV(GLint size, GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glSetMultisamplefvAMD

          void glSetMultisamplefvAMD(int pname,
                                   int index,
                                   FloatBuffer val)

      Entry point to C language function: `void glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat * val)`
      Part of `GL_AMD_sample_positions`
      Parameters:
        `val` - a direct or array-backed `FloatBuffer`

    - #### glSetMultisamplefvAMD

          void glSetMultisamplefvAMD(int pname,
                                   int index,
                                   float[] val,
                                   int val_offset)

      Entry point to C language function: `void glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat * val)`
      Part of `GL_AMD_sample_positions`

    - #### glStencilOpValueAMD

          void glStencilOpValueAMD(int face,
                                 int value)

      Entry point to C language function: `void glStencilOpValueAMD(GLenum face, GLuint value)`
      Part of `GL_AMD_stencil_operation_extended`

    - #### glTessellationFactorAMD

          void glTessellationFactorAMD(float factor)

      Entry point to C language function: `void glTessellationFactorAMD(GLfloat factor)`
      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`

    - #### glTessellationModeAMD

          void glTessellationModeAMD(int mode)

      Entry point to C language function: `void glTessellationModeAMD(GLenum mode)`
      Part of `GL_AMD_vertex_shader_tesselator`, `GL_AMD_vertex_shader_tessellator`

    - #### glTexBuffer

          void glTexBuffer(int target,
                         int internalformat,
                         int buffer)

      Entry point to C language function: `void glTexBuffer(GLenum target, GLenum internalformat, GLuint buffer)`
      Part of `GL_VERSION_3_1`; `GL_ARB_texture_buffer_object`

    - #### glTexCoordFormatNV

          void glTexCoordFormatNV(int size,
                                int type,
                                int stride)

      Entry point to C language function: `void glTexCoordFormatNV(GLint size, GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glTexImage1D

          void glTexImage1D(int target,
                          int level,
                          int internalFormat,
                          int width,
                          int border,
                          int format,
                          int type,
                          Buffer pixels)

      Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_0`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glTexImage1D

          void glTexImage1D(int target,
                          int level,
                          int internalFormat,
                          int width,
                          int border,
                          int format,
                          int type,
                          long pixels_buffer_offset)

      Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_0`

    - #### glTexImage2DMultisampleCoverageNV

          void glTexImage2DMultisampleCoverageNV(int target,
                                               int coverageSamples,
                                               int colorSamples,
                                               int internalFormat,
                                               int width,
                                               int height,
                                               boolean fixedSampleLocations)

      Entry point to C language function: `void glTexImage2DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)`
      Part of `GL_NV_texture_multisample`

    - #### glTexImage3DMultisampleCoverageNV

          void glTexImage3DMultisampleCoverageNV(int target,
                                               int coverageSamples,
                                               int colorSamples,
                                               int internalFormat,
                                               int width,
                                               int height,
                                               int depth,
                                               boolean fixedSampleLocations)

      Entry point to C language function: `void glTexImage3DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)`
      Part of `GL_NV_texture_multisample`

    - #### glTexParameterIiv

          void glTexParameterIiv(int target,
                               int pname,
                               IntBuffer params)

      Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glTexParameterIiv

          void glTexParameterIiv(int target,
                               int pname,
                               int[] params,
                               int params_offset)

      Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`

    - #### glTexParameterIuiv

          void glTexParameterIuiv(int target,
                                int pname,
                                IntBuffer params)

      Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glTexParameterIuiv

          void glTexParameterIuiv(int target,
                                int pname,
                                int[] params,
                                int params_offset)

      Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params)`
      Part of `GL_VERSION_3_0`; `GL_EXT_texture_integer`

    - #### glTexSubImage1D

          void glTexSubImage1D(int target,
                             int level,
                             int xoffset,
                             int width,
                             int format,
                             int type,
                             Buffer pixels)

      Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_1`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glTexSubImage1D

          void glTexSubImage1D(int target,
                             int level,
                             int xoffset,
                             int width,
                             int format,
                             int type,
                             long pixels_buffer_offset)

      Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_1`

    - #### glTextureBufferRangeEXT

          void glTextureBufferRangeEXT(int texture,
                                     int target,
                                     int internalformat,
                                     int buffer,
                                     long offset,
                                     long size)

      Entry point to C language function: `void glTextureBufferRangeEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)`
      Part of `GL_ARB_texture_buffer_range`

    - #### glTextureImage2DMultisampleCoverageNV

          void glTextureImage2DMultisampleCoverageNV(int texture,
                                                   int target,
                                                   int coverageSamples,
                                                   int colorSamples,
                                                   int internalFormat,
                                                   int width,
                                                   int height,
                                                   boolean fixedSampleLocations)

      Entry point to C language function: `void glTextureImage2DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)`
      Part of `GL_NV_texture_multisample`

    - #### glTextureImage2DMultisampleNV

          void glTextureImage2DMultisampleNV(int texture,
                                           int target,
                                           int samples,
                                           int internalFormat,
                                           int width,
                                           int height,
                                           boolean fixedSampleLocations)

      Entry point to C language function: `void glTextureImage2DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)`
      Part of `GL_NV_texture_multisample`

    - #### glTextureImage3DMultisampleCoverageNV

          void glTextureImage3DMultisampleCoverageNV(int texture,
                                                   int target,
                                                   int coverageSamples,
                                                   int colorSamples,
                                                   int internalFormat,
                                                   int width,
                                                   int height,
                                                   int depth,
                                                   boolean fixedSampleLocations)

      Entry point to C language function: `void glTextureImage3DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)`
      Part of `GL_NV_texture_multisample`

    - #### glTextureImage3DMultisampleNV

          void glTextureImage3DMultisampleNV(int texture,
                                           int target,
                                           int samples,
                                           int internalFormat,
                                           int width,
                                           int height,
                                           int depth,
                                           boolean fixedSampleLocations)

      Entry point to C language function: `void glTextureImage3DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)`
      Part of `GL_NV_texture_multisample`

    - #### glUniformui64NV

          void glUniformui64NV(int location,
                             long value)

      Entry point to C language function: `void glUniformui64NV(GLint location, GLuint64EXT value)`
      Part of `GL_NV_shader_buffer_load`

    - #### glUniformui64vNV

          void glUniformui64vNV(int location,
                              int count,
                              LongBuffer value)

      Entry point to C language function: `void glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_shader_buffer_load`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniformui64vNV

          void glUniformui64vNV(int location,
                              int count,
                              long[] value,
                              int value_offset)

      Entry point to C language function: `void glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_shader_buffer_load`

    - #### glVertexArrayBindVertexBufferEXT

          void glVertexArrayBindVertexBufferEXT(int vaobj,
                                              int bindingindex,
                                              int buffer,
                                              long offset,
                                              int stride)

      Entry point to C language function: `void glVertexArrayBindVertexBufferEXT(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)`
      Part of `GL_ARB_vertex_attrib_binding`

    - #### glVertexArrayVertexAttribBindingEXT

          void glVertexArrayVertexAttribBindingEXT(int vaobj,
                                                 int attribindex,
                                                 int bindingindex)

      Entry point to C language function: `void glVertexArrayVertexAttribBindingEXT(GLuint vaobj, GLuint attribindex, GLuint bindingindex)`
      Part of `GL_ARB_vertex_attrib_binding`

    - #### glVertexArrayVertexAttribFormatEXT

          void glVertexArrayVertexAttribFormatEXT(int vaobj,
                                                int attribindex,
                                                int size,
                                                int type,
                                                boolean normalized,
                                                int relativeoffset)

      Entry point to C language function: `void glVertexArrayVertexAttribFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)`
      Part of `GL_ARB_vertex_attrib_binding`

    - #### glVertexArrayVertexAttribIFormatEXT

          void glVertexArrayVertexAttribIFormatEXT(int vaobj,
                                                 int attribindex,
                                                 int size,
                                                 int type,
                                                 int relativeoffset)

      Entry point to C language function: `void glVertexArrayVertexAttribIFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)`
      Part of `GL_ARB_vertex_attrib_binding`

    - #### glVertexArrayVertexAttribLFormatEXT

          void glVertexArrayVertexAttribLFormatEXT(int vaobj,
                                                 int attribindex,
                                                 int size,
                                                 int type,
                                                 int relativeoffset)

      Entry point to C language function: `void glVertexArrayVertexAttribLFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)`
      Part of `GL_ARB_vertex_attrib_binding`

    - #### glVertexArrayVertexBindingDivisorEXT

          void glVertexArrayVertexBindingDivisorEXT(int vaobj,
                                                  int bindingindex,
                                                  int divisor)

      Entry point to C language function: `void glVertexArrayVertexBindingDivisorEXT(GLuint vaobj, GLuint bindingindex, GLuint divisor)`
      Part of `GL_ARB_vertex_attrib_binding`

    - #### glVertexAttrib1d

          void glVertexAttrib1d(int index,
                              double x)

      Entry point to C language function: `void glVertexAttrib1d(GLuint index, GLdouble x)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib1dv

          void glVertexAttrib1dv(int index,
                               DoubleBuffer v)

      Entry point to C language function: `void glVertexAttrib1dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttrib1dv

          void glVertexAttrib1dv(int index,
                               double[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib1dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib1s

          void glVertexAttrib1s(int index,
                              short x)

      Entry point to C language function: `void glVertexAttrib1s(GLuint index, GLshort x)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib1sv

          void glVertexAttrib1sv(int index,
                               ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib1sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib1sv

          void glVertexAttrib1sv(int index,
                               short[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib1sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib2d

          void glVertexAttrib2d(int index,
                              double x,
                              double y)

      Entry point to C language function: `void glVertexAttrib2d(GLuint index, GLdouble x, GLdouble y)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib2dv

          void glVertexAttrib2dv(int index,
                               DoubleBuffer v)

      Entry point to C language function: `void glVertexAttrib2dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttrib2dv

          void glVertexAttrib2dv(int index,
                               double[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib2dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib2s

          void glVertexAttrib2s(int index,
                              short x,
                              short y)

      Entry point to C language function: `void glVertexAttrib2s(GLuint index, GLshort x, GLshort y)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib2sv

          void glVertexAttrib2sv(int index,
                               ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib2sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib2sv

          void glVertexAttrib2sv(int index,
                               short[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib2sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib3d

          void glVertexAttrib3d(int index,
                              double x,
                              double y,
                              double z)

      Entry point to C language function: `void glVertexAttrib3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib3dv

          void glVertexAttrib3dv(int index,
                               DoubleBuffer v)

      Entry point to C language function: `void glVertexAttrib3dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttrib3dv

          void glVertexAttrib3dv(int index,
                               double[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib3dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib3s

          void glVertexAttrib3s(int index,
                              short x,
                              short y,
                              short z)

      Entry point to C language function: `void glVertexAttrib3s(GLuint index, GLshort x, GLshort y, GLshort z)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib3sv

          void glVertexAttrib3sv(int index,
                               ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib3sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib3sv

          void glVertexAttrib3sv(int index,
                               short[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib3sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Nbv

          void glVertexAttrib4Nbv(int index,
                                ByteBuffer v)

      Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ByteBuffer`

    - #### glVertexAttrib4Nbv

          void glVertexAttrib4Nbv(int index,
                                byte[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Niv

          void glVertexAttrib4Niv(int index,
                                IntBuffer v)

      Entry point to C language function: `void glVertexAttrib4Niv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttrib4Niv

          void glVertexAttrib4Niv(int index,
                                int[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttrib4Niv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Nsv

          void glVertexAttrib4Nsv(int index,
                                ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib4Nsv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib4Nsv

          void glVertexAttrib4Nsv(int index,
                                short[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttrib4Nsv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Nub

          void glVertexAttrib4Nub(int index,
                                byte x,
                                byte y,
                                byte z,
                                byte w)

      Entry point to C language function: `void glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Nubv

          void glVertexAttrib4Nubv(int index,
                                 ByteBuffer v)

      Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ByteBuffer`

    - #### glVertexAttrib4Nubv

          void glVertexAttrib4Nubv(int index,
                                 byte[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Nuiv

          void glVertexAttrib4Nuiv(int index,
                                 IntBuffer v)

      Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttrib4Nuiv

          void glVertexAttrib4Nuiv(int index,
                                 int[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4Nusv

          void glVertexAttrib4Nusv(int index,
                                 ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib4Nusv

          void glVertexAttrib4Nusv(int index,
                                 short[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4bv

          void glVertexAttrib4bv(int index,
                               ByteBuffer v)

      Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ByteBuffer`

    - #### glVertexAttrib4bv

          void glVertexAttrib4bv(int index,
                               byte[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4d

          void glVertexAttrib4d(int index,
                              double x,
                              double y,
                              double z,
                              double w)

      Entry point to C language function: `void glVertexAttrib4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4dv

          void glVertexAttrib4dv(int index,
                               DoubleBuffer v)

      Entry point to C language function: `void glVertexAttrib4dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttrib4dv

          void glVertexAttrib4dv(int index,
                               double[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib4dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4iv

          void glVertexAttrib4iv(int index,
                               IntBuffer v)

      Entry point to C language function: `void glVertexAttrib4iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttrib4iv

          void glVertexAttrib4iv(int index,
                               int[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib4iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4s

          void glVertexAttrib4s(int index,
                              short x,
                              short y,
                              short z,
                              short w)

      Entry point to C language function: `void glVertexAttrib4s(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4sv

          void glVertexAttrib4sv(int index,
                               ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib4sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib4sv

          void glVertexAttrib4sv(int index,
                               short[] v,
                               int v_offset)

      Entry point to C language function: `void glVertexAttrib4sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4ubv

          void glVertexAttrib4ubv(int index,
                                ByteBuffer v)

      Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ByteBuffer`

    - #### glVertexAttrib4ubv

          void glVertexAttrib4ubv(int index,
                                byte[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4uiv

          void glVertexAttrib4uiv(int index,
                                IntBuffer v)

      Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttrib4uiv

          void glVertexAttrib4uiv(int index,
                                int[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttrib4usv

          void glVertexAttrib4usv(int index,
                                ShortBuffer v)

      Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v)`
      Part of `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttrib4usv

          void glVertexAttrib4usv(int index,
                                short[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v)`
      Part of `GL_VERSION_2_0`

    - #### glVertexAttribFormatNV

          void glVertexAttribFormatNV(int index,
                                    int size,
                                    int type,
                                    boolean normalized,
                                    int stride)

      Entry point to C language function: `void glVertexAttribFormatNV(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glVertexAttribI1i

          void glVertexAttribI1i(int index,
                               int x)

      Entry point to C language function: `void glVertexAttribI1i(GLuint index, GLint x)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI1iv

          void glVertexAttribI1iv(int index,
                                IntBuffer v)

      Entry point to C language function: `void glVertexAttribI1iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI1iv

          void glVertexAttribI1iv(int index,
                                int[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribI1iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI1ui

          void glVertexAttribI1ui(int index,
                                int x)

      Entry point to C language function: `void glVertexAttribI1ui(GLuint index, GLuint x)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI1uiv

          void glVertexAttribI1uiv(int index,
                                 IntBuffer v)

      Entry point to C language function: `void glVertexAttribI1uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI1uiv

          void glVertexAttribI1uiv(int index,
                                 int[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttribI1uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI2i

          void glVertexAttribI2i(int index,
                               int x,
                               int y)

      Entry point to C language function: `void glVertexAttribI2i(GLuint index, GLint x, GLint y)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI2iv

          void glVertexAttribI2iv(int index,
                                IntBuffer v)

      Entry point to C language function: `void glVertexAttribI2iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI2iv

          void glVertexAttribI2iv(int index,
                                int[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribI2iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI2ui

          void glVertexAttribI2ui(int index,
                                int x,
                                int y)

      Entry point to C language function: `void glVertexAttribI2ui(GLuint index, GLuint x, GLuint y)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI2uiv

          void glVertexAttribI2uiv(int index,
                                 IntBuffer v)

      Entry point to C language function: `void glVertexAttribI2uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI2uiv

          void glVertexAttribI2uiv(int index,
                                 int[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttribI2uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI3i

          void glVertexAttribI3i(int index,
                               int x,
                               int y,
                               int z)

      Entry point to C language function: `void glVertexAttribI3i(GLuint index, GLint x, GLint y, GLint z)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI3iv

          void glVertexAttribI3iv(int index,
                                IntBuffer v)

      Entry point to C language function: `void glVertexAttribI3iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI3iv

          void glVertexAttribI3iv(int index,
                                int[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribI3iv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI3ui

          void glVertexAttribI3ui(int index,
                                int x,
                                int y,
                                int z)

      Entry point to C language function: `void glVertexAttribI3ui(GLuint index, GLuint x, GLuint y, GLuint z)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI3uiv

          void glVertexAttribI3uiv(int index,
                                 IntBuffer v)

      Entry point to C language function: `void glVertexAttribI3uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glVertexAttribI3uiv

          void glVertexAttribI3uiv(int index,
                                 int[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttribI3uiv(GLuint index, const GLuint * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI4bv

          void glVertexAttribI4bv(int index,
                                ByteBuffer v)

      Entry point to C language function: `void glVertexAttribI4bv(GLuint index, const GLbyte * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `ByteBuffer`

    - #### glVertexAttribI4bv

          void glVertexAttribI4bv(int index,
                                byte[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribI4bv(GLuint index, const GLbyte * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI4sv

          void glVertexAttribI4sv(int index,
                                ShortBuffer v)

      Entry point to C language function: `void glVertexAttribI4sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttribI4sv

          void glVertexAttribI4sv(int index,
                                short[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribI4sv(GLuint index, const GLshort * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI4ubv

          void glVertexAttribI4ubv(int index,
                                 ByteBuffer v)

      Entry point to C language function: `void glVertexAttribI4ubv(GLuint index, const GLubyte * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `ByteBuffer`

    - #### glVertexAttribI4ubv

          void glVertexAttribI4ubv(int index,
                                 byte[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttribI4ubv(GLuint index, const GLubyte * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribI4usv

          void glVertexAttribI4usv(int index,
                                 ShortBuffer v)

      Entry point to C language function: `void glVertexAttribI4usv(GLuint index, const GLushort * v)`
      Part of `GL_VERSION_3_0`
      Parameters:
        `v` - a direct or array-backed `ShortBuffer`

    - #### glVertexAttribI4usv

          void glVertexAttribI4usv(int index,
                                 short[] v,
                                 int v_offset)

      Entry point to C language function: `void glVertexAttribI4usv(GLuint index, const GLushort * v)`
      Part of `GL_VERSION_3_0`

    - #### glVertexAttribIFormatNV

          void glVertexAttribIFormatNV(int index,
                                     int size,
                                     int type,
                                     int stride)

      Entry point to C language function: `void glVertexAttribIFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

    - #### glVertexFormatNV

          void glVertexFormatNV(int size,
                              int type,
                              int stride)

      Entry point to C language function: `void glVertexFormatNV(GLint size, GLenum type, GLsizei stride)`
      Part of `GL_NV_vertex_buffer_unified_memory`

Copyright 2010 JogAmp Community.